package com.ces;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.EnableAspectJAutoProxy;

/**
 * @author Tao
 */
@SpringBootApplication
@EnableAspectJAutoProxy(proxyTargetClass = true)
public class WebApplication extends SpringBootServletInitializer {

    public static void main(String[] args) throws Exception {

        SpringApplication.run(WebApplication.class, args);

    }


    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
        return application.sources(WebApplication.class);
    }
}
