package com.ces.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author Tao
 */
@Getter
@AllArgsConstructor
public enum ResultEnum {

    /**
     * 成功响应
     */
    SUCCESS("200", "success"),

    /**
     * 错误响应
     */
    ERROR("500", "error");

    private final String code;

    private final String message;
}
