package com.ces.framework.shiro.token;

import lombok.Getter;
import org.apache.shiro.authc.UsernamePasswordToken;

/**
 * @author Tao
 * @date 2023/11/20
 */
@Getter
public class UserToken extends UsernamePasswordToken {

    private String tenantId;

    public UserToken(String loginName, String password, String tenantId) {
        super(loginName, password);
        this.tenantId = tenantId;
    }
}
