package com.ces.web.bxj.controller;

import com.ces.common.constant.Constant;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

@RestController
@RequestMapping("/bxj")
@RequiresRoles({Constant.RoleCode.BXJ})
public class BxjController {

    @GetMapping
    public ModelAndView bxjAreaPlanView () {
        return new ModelAndView("bxj/bxjAreaPlan");
    }

    @GetMapping("/jqone")
    public ModelAndView jqoneIndex() {
        return new ModelAndView("bxj/jqone");
    }
}
