package com.ces.web.device.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 监控设备信息
 *
 * @author Tao
 */
@Data
@TableName("DEVICE_INFO")
public class DeviceInfo {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 接口的设备ID
     */
    @TableField("BUSS_ID")
    private String bussId;

    /**
     * 国际ID
     */
    @TableField("GB_ID")
    private String gbId;

    /**
     * 设备名称
     */
    @TableField("NAME")
    private String name;

    /**
     * 状态
     */
    @TableField("STATUS")
    private String status;

    /**
     * 监狱名称
     */
    @TableField("PRISON_NAME")
    private String prisonName;

    /**
     * 大楼名称
     */
    @TableField("BUILD_NAME")
    private String buildName;

    /**
     * 监区
     */
    @TableField("AREA_NAME")
    private String areaName;

    /**
     * 楼层
     */
    @TableField("FLOOR")
    private String floor;

    /**
     * 地点
     */
    @TableField("PLACE")
    private String place;


    /**
     * 设备编号
     */
    @TableField("DEVICE_NO")
    private String deviceNo;
}
