package com.ces.web.nh.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ces.web.device.entity.DeviceInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author Tao
 */
public interface NhDeviceMapper extends BaseMapper<DeviceInfo> {

    List<Map<String, Object>> getBuildAreaAllCount(@Param("prisonName") String prisonName);

    List<Map<String, Object>> getBuildAreaCount(@Param("prisonName") String prisonName, @Param("buildAreaName") String buildAreaName);

    List<Map<String, Object>> getGbId(@Param("prisonName") String prisonName, @Param("buildAreaName") String buildAreaName, @Param("floor") String floor);
}
