<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>宝山监狱</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .area-right{
            background: url(${ctx}/static/images/floor_lp.png) no-repeat;
            height: 23rem;
            float: right;
            background-size: cover;
            width: 78%;
            background-size: 100% 100%;
        }

        .area-box li {
            cursor: pointer;
        }
        .area-right .area-box li a{
            color: #fff;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <img src="${ctx}/static/images/logo_mc.png"/>
        </div>
        <div class="area-content">
            <div class="area-left">
                <div class="title"><a href="${ctx}/atlas">宝山监狱</a></div>
                <div class="left-menu">
                    <ul>
                        <li>
                            <a href="${ctx}/bs/jqone">
                                <div class="menu-mc">
                                    <span>一监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">78</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/bs/jqtwo">
                                <div class="menu-mc">
                                    <span>二监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #2f8fff;">88</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/bs/jqthere">
                                <div class="menu-mc">
                                    <span>三监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">86</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/bs/jqeight">
                                <div class="menu-mc">
                                    <span>八监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff8a00;">88</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/bs/ddl">
                                <div class="menu-mc">
                                    <span>东大楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">9</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/bs/xdl">
                                <div class="menu-mc">
                                    <span>西大楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #ffba00;">8</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/bs/zhl">
                                <div class="menu-mc">
                                    <span>综合楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">37</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/bs/wlzx">
                                <div class="menu-mc">
                                    <span>物流中心</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ffba00;">20</span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="area-right">
                <div class="area-box">
                    <ul>
                        <li class="a_floor">
                            <a href="${ctx}/bs/jqone">
                                <img src="${ctx}/static/images/A_floor.png"/>
                                <span>一监区</span>
                            </a>
                        </li>
                        <li class="bg1_floor">
                            <a href="${ctx}/bs/jqtwo">
                                <img src="${ctx}/static/images/bgq_floor.png"/>
                                <span>二监区</span>
                            </a>
                        </li>
                        <li class="b_floor">
                            <a href="${ctx}/bs/jqthere">
                                <img src="${ctx}/static/images/B_floor.png"/>
                                <span>三监区</span>
                            </a>
                        </li>
                        <li class="g_floor">
                            <a href="${ctx}/bs/jqeight">
                                <img src="${ctx}/static/images/G_floor.png"/>
                                <span>八监区</span>
                            </a>
                        </li>
                        <li class="c_floor">
                            <a href="${ctx}/bs/ddl">
                                <img src="${ctx}/static/images/C_floor.png"/>
                                <span>东大楼</span>
                            </a>
                        </li>
                        <li class="e_floor">
                            <a href="${ctx}/bs/xdl">
                                <img src="${ctx}/static/images/E_floor.png"/>
                                <span>西大楼</span>
                            </a>
                        </li>
                        <li class="d_floor">
                            <a href="javascript:void(0);"> <img src="${ctx}/static/images/D_floor.png"/></a>
                            <span></span>
                        </li>
                        <li class="d_floor_index">
                            <a href="${ctx}/bs/wlzx">
                                <img src="${ctx}/static/images/D_floor_1.png"/>
                                <span>物流中心</span>
                            </a>
                        </li>
                        <li class="f_floor">
                            <a href="${ctx}/bs/zhl">
                                <img src="${ctx}/static/images/F_floor.png"/>
                                <span>综合楼</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>