<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp"%>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>八监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bs">八监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">东部</p>
                            <p class="monitor">监控点<span>44</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">西部</p>
                            <p class="monitor">监控点<span>44</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '1.05rem',
                left: '0.33rem',
                gbid: '31011300001320000007'
            }, {
                top: '2.4rem',
                left: '0.33rem',
                gbid: '31011300001320000010'
            }, {
                top: '3.75rem',
                left: '0.33rem',
                gbid: '31011300001320000013'
            },  {
                top: '5.1rem',
                left: '0.33rem',
                gbid: '31011300001320000016'
            },   {
                top: '6.4rem',
                left: '0.33rem',
                gbid: '31011300001320000019'
            },{
                top: '0.8rem',
                left: '1.3rem',
                gbid: '31011300001320000005'
            }, {
                top: '2.1rem',
                left: '1.3rem',
                gbid: '31011300001320000009'
            }, {
                top: '3.45rem',
                left: '1.3rem',
                gbid: '31011300001320000012'
            }, {
                top: '4.8rem',
                left: '1.3rem',
                gbid: '31011300001320000015'
            }, {
                top: '6.1rem',
                left: '1.3rem',
                gbid: '31011300001320000018'
            }, {
                top: '0.8rem',
                left: '3.1rem',
                gbid: '31011300001320000006'
            }, {
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011300001320000008'
            }, {
                top: '3.45rem',
                left: '3.1rem',
                gbid: '31011300001320000011'
            }, {
                top: '4.8rem',
                left: '3.1rem',
                gbid: '31011300001320000014'
            }, {
                top: '6.1rem',
                left: '3.1rem',
                gbid: '31011300001320000017'
            },{
                top: '0.8rem',
                left: '8.55rem',
                gbid: '31011300001320000020'
            }, {
                top: '2.1rem',
                left: '8.55rem',
                gbid: '31011300001320000023'
            }, {
                top: '3.45rem',
                left: '8.55rem',
                gbid: '31011300001320000026'
            }, {
                top: '4.8rem',
                left: '8.55rem',
                gbid: '31011300001320000029'
            },{
                top: '6.05rem',
                left: '8.55rem',
                gbid: '31011300001320000032'
            },{
                top: '6.05rem',
                left: '10.35rem',
                gbid: '31011300001320000032'
            },{
                top: '0.8rem',
                left: '10.3rem',
                gbid: '31011300001320000021'
            }, {
                top: '2.1rem',
                left: '10.3rem',
                gbid: '31011300001320000024'
            }, {
                top: '3.45rem',
                left: '10.3rem',
                gbid: '31011300001320000027'
            }, {
                top: '4.8rem',
                left: '10.35rem',
                gbid: '31011300001320000030'
            },{
                top: '1.05rem',
                left: '11.35rem',
                gbid: '31011300001320000022'
            },{
                top: '2.35rem',
                left: '11.35rem',
                gbid: '31011300001320000025'
            },{
                top: '3.65rem',
                left: '11.35rem',
                gbid: '31011300001320000028'
            },{
                top: '4.95rem',
                left: '11.35rem',
                gbid: '31011300001320000031'
            },{
                top: '6.25rem',
                left: '11.35rem',
                gbid: '31011300001320000034'
            },{
                top: '4.5rem',
                left: '3.9rem',
                gbid: '31011300001320000001'
            },{
                top: '6.6rem',
                left: '7.8rem',
                gbid: '31011300001320000002'
            },{
                top: '7.2rem',
                left: '6.29rem',
                gbid: '31011300001320000035'
            },{
                top: '6.85rem',
                left: '5.85rem',
                gbid: '31011300001320000057'
            },{
                top: '1.8rem',
                left: '4.05rem',
                gbid: '31011300001320000047'
            },{
                top: '1.8rem',
                left: '7.6rem',
                gbid: '31011300001320000048'
            },{
                top: '0.35rem',
                left: '4.05rem',
                gbid: '31011300001320000040'
            },{
                top: '0.35rem',
                left: '5.2rem',
                gbid: '31011300001320000039'
            },{
                top: '0.35rem',
                left: '6.4rem',
                gbid: '31011300001320000038'
            },{
                top: '0.35rem',
                left: '7.6rem',
                gbid: '31011300001320000037'
            },{
                top: '3.25rem',
                left: '4.05rem',
                gbid: '31011300001320000044'
            },{
                top: '3.25rem',
                left: '6.4rem',
                gbid: '31011300001320000042'
            },{
                top: '3.25rem',
                left: '7.6rem',
                gbid: '31011300001320000041'
            },{
                top: '3.25rem',
                left: '5.2rem',
                gbid: '31011300001320000043'
            }],
        'arr2': [
            {
                top: '1.05rem',
                left: '0.33rem',
                gbid: '31011300001320000061'
            }, {
                top: '2.4rem',
                left: '0.33rem',
                gbid: '31011300001320000064'
            }, {
                top: '3.75rem',
                left: '0.33rem',
                gbid: '31011300001320000067'
            },  {
                top: '5.1rem',
                left: '0.33rem',
                gbid: '31011300001320000070'
            },   {
                top: '6.4rem',
                left: '0.33rem',
                gbid: '31011300001320000073'
            },{
                top: '0.8rem',
                left: '1.3rem',
                gbid: '31011300001320000059'
            }, {
                top: '2.1rem',
                left: '1.3rem',
                gbid: '31011300001320000063'
            }, {
                top: '3.45rem',
                left: '1.3rem',
                gbid: '31011300001320000066'
            }, {
                top: '4.8rem',
                left: '1.3rem',
                gbid: '31011300001320000069'
            }, {
                top: '6.1rem',
                left: '1.3rem',
                gbid: '31011300001320000072'
            }, {
                top: '0.8rem',
                left: '3.1rem',
                gbid: '31011300001320000060'
            }, {
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011300001320000062'
            }, {
                top: '3.45rem',
                left: '3.1rem',
                gbid: '31011300001320000065'
            }, {
                top: '4.8rem',
                left: '3.1rem',
                gbid: '31011300001320000068'
            }, {
                top: '6.1rem',
                left: '3.1rem',
                gbid: '31011300001320000071'
            },{
                top: '0.8rem',
                left: '8.55rem',
                gbid: '31011300001320000074'
            }, {
                top: '2.1rem',
                left: '8.55rem',
                gbid: '31011300001320000077'
            }, {
                top: '3.45rem',
                left: '8.55rem',
                gbid: '31011300001320000080'
            }, {
                top: '4.8rem',
                left: '8.55rem',
                gbid: '31011300001320000083'
            },{
                top: '6.05rem',
                left: '8.55rem',
                gbid: '31011300001320000086'
            },{
                top: '6.05rem',
                left: '10.35rem',
                gbid: '31011300001320000087'
            },{
                top: '0.8rem',
                left: '10.3rem',
                gbid: '31011300001320000075'
            }, {
                top: '2.1rem',
                left: '10.3rem',
                gbid: '31011300001320000078'
            }, {
                top: '3.45rem',
                left: '10.3rem',
                gbid: '31011300001320000081'
            }, {
                top: '4.8rem',
                left: '10.35rem',
                gbid: '31011300001320000084'
            },{
                top: '1.05rem',
                left: '11.35rem',
                gbid: '31011300001320000076'
            },{
                top: '2.35rem',
                left: '11.35rem',
                gbid: '31011300001320000079'
            },{
                top: '3.65rem',
                left: '11.35rem',
                gbid: '31011300001320000082'
            },{
                top: '4.95rem',
                left: '11.35rem',
                gbid: '31011300001320000085'
            },{
                top: '6.25rem',
                left: '11.35rem',
                gbid: '31011300001320000088'
            },{
                top: '4.5rem',
                left: '3.9rem',
                gbid: '31011300001320000003'
            },{
                top: '6.6rem',
                left: '7.8rem',
                gbid: '31011300001320000004'
            },{
                top: '7.2rem',
                left: '6.29rem',
                gbid: '31011300001320000036'
            },{
                top: '6.85rem',
                left: '5.85rem',
                gbid: '31011300001320000058'
            },{
                top: '1.8rem',
                left: '4.05rem',
                gbid: '31011300001320000045'
            },{
                top: '1.8rem',
                left: '7.6rem',
                gbid: '31011300001320000046'
            },{
                top: '0.35rem',
                left: '4.05rem',
                gbid: '31011300001320000052'
            },{
                top: '0.35rem',
                left: '5.2rem',
                gbid: '31011300001320000051'
            },{
                top: '0.35rem',
                left: '6.4rem',
                gbid: '31011300001320000050'
            },{
                top: '0.35rem',
                left: '7.6rem',
                gbid: '31011300001320000049'
            },{
                top: '3.25rem',
                left: '4.05rem',
                gbid: '31011300001320000056'
            },{
                top: '3.25rem',
                left: '6.4rem',
                gbid: '31011300001320000054'
            },{
                top: '3.25rem',
                left: '7.6rem',
                gbid: '31011300001320000053'
            },{
                top: '3.25rem',
                left: '5.2rem',
                gbid: '31011300001320000055'
            }]
    };

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/baoshan_02.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
