<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp"%>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>一监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bs">一监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">东部</p>
                            <p class="monitor">监控点<span>40</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">西部</p>
                            <p class="monitor">监控点<span>38</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '1.05rem',
                left: '0.33rem',
                gbid: '31011300001320000842'
            }, {
                top: '2.4rem',
                left: '0.33rem',
                gbid: '31011300001320000845'
            }, {
                top: '3.75rem',
                left: '0.33rem',
                gbid: '31011300001320000848'
            },  {
                top: '5.1rem',
                left: '0.33rem',
                gbid: '31011300001320000851'
            },   {
                top: '6.4rem',
                left: '0.33rem',
                gbid: '31011300001320000854'
            },{
                top: '0.8rem',
                left: '1.3rem',
                gbid: '31011300001320000843'
            }, {
                top: '2.1rem',
                left: '1.3rem',
                gbid: '31011300001320000846'
            }, {
                top: '3.45rem',
                left: '1.3rem',
                gbid: '31011300001320000849'
            }, {
                top: '4.8rem',
                left: '1.3rem',
                gbid: '31011300001320000852'
            }, {
                top: '6.1rem',
                left: '1.3rem',
                gbid: '31011300001320000855'
            }, {
                top: '0.8rem',
                left: '3.1rem',
                gbid: '31011300001320000844'
            }, {
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011300001320000847'
            }, {
                top: '3.45rem',
                left: '3.1rem',
                gbid: '31011300001320000850'
            }, {
                top: '4.8rem',
                left: '3.1rem',
                gbid: '31011300001320000853'
            }, {
                top: '6.1rem',
                left: '3.1rem',
                gbid: '31011300001320000856'
            },{
                top: '0.8rem',
                left: '8.55rem',
                gbid: '31011300001320000859'
            }, {
                top: '2.1rem',
                left: '8.55rem',
                gbid: '31011300001320000862'
            }, {
                top: '3.45rem',
                left: '8.55rem',
                gbid: '31011300001320000865'
            }, {
                top: '4.8rem',
                left: '8.55rem',
                gbid: '31011300001320000869'
            },{
                top: '0.8rem',
                left: '10.3rem',
                gbid: '31011300001320000858'
            }, {
                top: '2.1rem',
                left: '10.3rem',
                gbid: '31011300001320000861'
            }, {
                top: '3.45rem',
                left: '10.3rem',
                gbid: '31011300001320000864'
            }, {
                top: '4.8rem',
                left: '10.35rem',
                gbid: '31011300001320000866'
            },{
                top: '1.05rem',
                left: '11.35rem',
                gbid: '31011300001320000857'
            },{
                top: '2.35rem',
                left: '11.35rem',
                gbid: '31011300001320000860'
            },{
                top: '3.65rem',
                left: '11.35rem',
                gbid: '31011300001320000863'
            },{
                top: '4.95rem',
                left: '11.35rem',
                gbid: '31011300001320000867'
            },{
                top: '4.5rem',
                left: '3.9rem',
                gbid: '31011300001320000838'
            },{
                top: '6.6rem',
                left: '7.8rem',
                gbid: '31011300001320000839'
            },{
                top: '7.2rem',
                left: '6.29rem',
                gbid: '31011300001320000870'
            },{
                top: '1.8rem',
                left: '4.15rem',
                gbid: '31011300001320000883'
            },{
                top: '1.8rem',
                left: '7.55rem',
                gbid: '31011300001320000884'
            },{
                top: '2.2rem',
                left: '4.05rem',
                gbid: '31011300001320000876'
            },{
                top: '3.3rem',
                left: '4.05rem',
                gbid: '31011300001320000880'
            },{
                top: '2.2rem',
                left: '5.2rem',
                gbid: '31011300001320000875'
            },{
                top: '2.2rem',
                left: '6.4rem',
                gbid: '31011300001320000874'
            },{
                top: '2.2rem',
                left: '7.6rem',
                gbid: '31011300001320000873'
            },{
                top: '3.3rem',
                left: '6.4rem',
                gbid: '31011300001320000878'
            },{
                top: '3.3rem',
                left: '7.6rem',
                gbid: '31011300001320000877'
            },{
                top: '3.3rem',
                left: '5.2rem',
                gbid: '31011300001320000879'
            }],
        'arr2': [
            {
                top: '1.05rem',
                left: '0.33rem',
                gbid: '31011300001320000894'
            }, {
                top: '2.4rem',
                left: '0.33rem',
                gbid: '31011300001320000897'
            }, {
                top: '3.75rem',
                left: '0.33rem',
                gbid: '31011300001320000900'
            },  {
                top: '5.1rem',
                left: '0.33rem',
                gbid: '31011300001320000903'
            },   {
                top: '6.4rem',
                left: '0.33rem',
                gbid: '31011300001320000906'
            },{
                top: '0.8rem',
                left: '1.3rem',
                gbid: '31011300001320000895'
            }, {
                top: '2.1rem',
                left: '1.3rem',
                gbid: '31011300001320000898'
            }, {
                top: '3.45rem',
                left: '1.3rem',
                gbid: '31011300001320000901'
            }, {
                top: '4.8rem',
                left: '1.3rem',
                gbid: '31011300001320000904'
            }, {
                top: '6.1rem',
                left: '1.3rem',
                gbid: '31011300001320000907'
            }, {
                top: '0.8rem',
                left: '3.1rem',
                gbid: '31011300001320000896'
            }, {
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011300001320000899'
            }, {
                top: '3.45rem',
                left: '3.1rem',
                gbid: '31011300001320000902'
            }, {
                top: '4.8rem',
                left: '3.1rem',
                gbid: '31011300001320000905'
            }, {
                top: '6.1rem',
                left: '3.1rem',
                gbid: '31011300001320000908'
            },{
                top: '0.8rem',
                left: '8.55rem',
                gbid: '31011300001320000911'
            }, {
                top: '2.1rem',
                left: '8.55rem',
                gbid: '31011300001320000914'
            }, {
                top: '3.45rem',
                left: '8.55rem',
                gbid: '31011300001320000917'
            }, {
                top: '4.8rem',
                left: '8.55rem',
                gbid: '31011300001320000921'
            },{
                top: '0.8rem',
                left: '10.3rem',
                gbid: '31011300001320000910'
            }, {
                top: '2.1rem',
                left: '10.3rem',
                gbid: '31011300001320000913'
            }, {
                top: '3.45rem',
                left: '10.3rem',
                gbid: '31011300001320000916'
            }, {
                top: '4.8rem',
                left: '10.35rem',
                gbid: '31011300001320000918'
            },{
                top: '1.05rem',
                left: '11.35rem',
                gbid: '31011300001320000909'
            },{
                top: '2.35rem',
                left: '11.35rem',
                gbid: '31011300001320000912'
            },{
                top: '3.65rem',
                left: '11.35rem',
                gbid: '31011300001320000915'
            },{
                top: '4.95rem',
                left: '11.35rem',
                gbid: '31011300001320000919'
            },{
                top: '4.5rem',
                left: '3.9rem',
                gbid: '31011300001320000840'
            },{
                top: '6.6rem',
                left: '7.8rem',
                gbid: '31011300001320000841'
            },{
                top: '7.2rem',
                left: '6.29rem',
                gbid: '31011300001320000871'
            },{
                top: '2.2rem',
                left: '4.05rem',
                gbid: '31011300001320000889'
            },{
                top: '3.3rem',
                left: '4.05rem',
                gbid: '31011300001320000893'
            },{
                top: '2.2rem',
                left: '5.2rem',
                gbid: '31011300001320000888'
            },{
                top: '2.2rem',
                left: '6.4rem',
                gbid: '31011300001320000887'
            },{
                top: '2.2rem',
                left: '7.6rem',
                gbid: '31011300001320000886'
            },{
                top: '3.3rem',
                left: '6.4rem',
                gbid: '31011300001320000891'
            },{
                top: '3.3rem',
                left: '7.6rem',
                gbid: '31011300001320000890'
            },{
                top: '3.3rem',
                left: '5.2rem',
                gbid: '31011300001320000892'
            }]
    };

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/baoshan_01.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
