<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>物流中心</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bs">物流中心</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">物流中心</p>
                            <p class="monitor">监控点<span>20</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.3rem',
                left: '0.3rem',
                gbid: '31011300001320000814'
            }, {
                top: '0.3rem',
                left: '2.8rem',
                gbid: '31011300001320000797'
            }, {
                top: '0.3rem',
                left: '5.3rem',
                gbid: '31011300001320000812'
            }, {
                top: '0.3rem',
                left: '6.45rem',
                gbid: '31011300001320000808'
            }, {
                top: '0.3rem',
                left: '9rem',
                gbid: '31011300001320000807'
            }, {
                top: '0.3rem',
                left: '11.4rem',
                gbid: '31011300001320000806'
            }, {
                top: '1.95rem',
                left: '11.4rem',
                gbid: '31011300001320000805'
            }, {
                top: '4rem',
                left: '11.4rem',
                gbid: '31011300001320000804'
            }, {
                top: '2.8rem',
                left: '6.45rem',
                gbid: '31011300001320000803'
            }, {
                top: '1.95rem',
                left: '5.3rem',
                gbid: '31011300001320000811'
            }, {
                top: '3.7rem',
                left: '5.3rem',
                gbid: '31011300001320000810'
            }, {
                top: '2.7rem',
                left: '0.3rem',
                gbid: '31011300001320000809'
            }, {
                top: '5.3rem',
                left: '0.3rem',
                gbid: '31011300001320000800'
            }, {
                top: '6.65rem',
                left: '7.4rem',
                gbid: '31011300001320000802'
            }, {
                top: '6.65rem',
                left: '9.4rem',
                gbid: '31011300001320000796'
            }, {
                top: '3.15rem',
                left: '9.35rem',
                gbid: '31011300001320000795'
            }, {
                top: '6.65rem',
                left: '11.4rem',
                gbid: '31011300001320000798'
            }, {
                top: '5.3rem',
                left: '5.3rem',
                gbid: '31011300001320000813'
            }, {
                top: '5.3rem',
                left: '6.45rem',
                gbid: '31011300001320000799'
            }, {
                top: '5.3rem',
                left: '2.8rem',
                gbid: '31011300001320000801'
            }]
    };

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/wuliucenter.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
