<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp"%>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>综合楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bs">综合楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">五楼</p>
                            <p class="monitor">监控点<span>17</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">六楼</p>
                            <p class="monitor">监控点<span>20</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '1.1rem',
                left: '0.3rem',
                gbid: '31011300001320000977'
            },{
                top: '1.1rem',
                left: '2.8rem',
                gbid: '31011300001320000976'
            },{
                top: '1.1rem',
                left: '5.5rem',
                gbid: '31011300001320000975'
            },{
                top: '1.1rem',
                left: '8.1rem',
                gbid: '31011300001320000974'
            },{
                top: '1.2rem',
                left: '11rem',
                gbid: '31011300001320000932'
            },{
                top: '1.8rem',
                left: '11rem',
                gbid: '31011300001320000933'
            },{
                top: '1.95rem',
                left: '8.1rem',
                gbid: '31011300001320000973'
            },{
                top: '1.95rem',
                left: '5.3rem',
                gbid: '31011300001320000972'
            },{
                top: '2.3rem',
                left: '5.5rem',
                gbid: '31011300001320000964'
            },{
                top: '3rem',
                left: '0.3rem',
                gbid: '31011300001320000971'
            },{
                top: '4.8rem',
                left: '0.3rem',
                gbid: '31011300001320000970'
            },{
                top: '6.65rem',
                left: '0.3rem',
                gbid: '31011300001320000969'
            },{
                top: '6.65rem',
                left: '2.8rem',
                gbid: '31011300001320000968'
            },{
                top: '6.65rem',
                left: '5rem',
                gbid: '31011300001320000967'
            },{
                top: '6.65rem',
                left: '10.6rem',
                gbid: '31011300001320000963'
            },{
                top: '4rem',
                left: '5rem',
                gbid: '31011300001320000966'
            },{
                top: '3.6rem',
                left: '2.8rem',
                gbid: '31011300001320000965'
            }],
        'arr2': [
            {
                top: '0.5rem',
                left: '6rem',
                gbid: '31011300001320000950'
            },{
                top: '1.1rem',
                left: '0.3rem',
                gbid: '31011300001320000954'
            },{
                top: '1.1rem',
                left: '3rem',
                gbid: '31011300001320000957'
            },{
                top: '1.1rem',
                left: '5.75rem',
                gbid: '31011300001320000951'
            },{
                top: '3.65rem',
                left: '2.57rem',
                gbid: '31011300001320000946'
            },{
                top: '3.65rem',
                left: '5.3rem',
                gbid: '31011300001320000948'
            },{
                top: '3.65rem',
                left: '8rem',
                gbid: '31011300001320000944'
            },{
                top: '4.1rem',
                left: '0.3rem',
                gbid: '31011300001320000952'
            },{
                top: '4.1rem',
                left: '3rem',
                gbid: '31011300001320000945'
            },{
                top: '4.1rem',
                left: '5.75rem',
                gbid: '31011300001320000959'
            },{
                top: '6.65rem',
                left: '2.57rem',
                gbid: '31011300001320000949'
            },{
                top: '6.65rem',
                left: '5.3rem',
                gbid: '31011300001320000943'
            },{
                top: '6.65rem',
                left: '8rem',
                gbid: '31011300001320000953'
            },{
                top: '6.65rem',
                left: '10.6rem',
                gbid: '31011300001320000942'
            },{
                top: '7.3rem',
                left: '6.3rem',
                gbid: '31011300001320000947'
            },{
                top: '4.7rem',
                left: '8.5rem',
                gbid: '31011300001320000956'
            },{
                top: '2.4rem',
                left: '8.5rem',
                gbid: '31011300001320000955'
            },{
                top: '4.2rem',
                left: '10.6rem',
                gbid: '31011300001320000958'
            },{
                top: '3.8rem',
                left: '11.2rem',
                gbid: '31011300001320000931'
            },{
                top: '1.8rem',
                left: '11rem',
                gbid: '31011300001320000960'
            }]
    };

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/zonghe_' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
