<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>监区平面图</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .area-right{
            background: url(${ctx}/static/images/floor_lp.png) no-repeat;
            height: 23rem;
            float: right;
            background-size: cover;
            width: 78%;
            background-size: 100% 100%;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <img src="${ctx}/static/images/logo_mc.png"/>
        </div>
        <div class="area-content">
            <div class="area-left">
                <div class="title">某某测试监区平面图</div>
                <div class="left-menu">
                    <ul>
                        <li>
                            <div class="menu-mc">
                                <span>办公楼</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ff6363;">35</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>A栋</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="	background-color: #ffba00;">35</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>B栋</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #43e04e;">35</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>C栋</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="	background-color: #2f8fff;">35</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>D栋</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ff6363;">35</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>E栋</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ff8a00;">35</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>F栋</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ffba00;">35</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>G栋</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #43e04e;">35</span>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="area-right">
                <div class="area-box">
                    <ul>
                        <li class="a_floor">
                            <a href="#">  <img src="${ctx}/static/images/A_floor.png"/></a>
                            <span>A栋</span>
                        </li>
                        <li class="bg1_floor">
                            <a href="#">  <img src="${ctx}/static/images/bgq_floor.png"/></a>
                            <span>办公楼</span>
                        </li>
                        <li class="b_floor">
                            <a href="#">  <img src="${ctx}/static/images/B_floor.png"/></a>
                            <span>B栋</span>
                        </li>
                        <li class="g_floor">
                            <a href="#">  <img src="${ctx}/static/images/G_floor.png"/></a>
                            <span>G栋</span>
                        </li>
                        <li class="c_floor">
                            <a href="#">  <img src="${ctx}/static/images/C_floor.png"/></a>
                            <span>C栋</span>
                        </li>
                        <li class="e_floor">
                            <a href="#">  <img src="${ctx}/static/images/E_floor.png"/></a>
                            <span>E栋</span>
                        </li>
                        <li class="d_floor">
                            <a href="#">  <img src="${ctx}/static/images/D_floor.png"/></a>
                        </li>
                        <li class="d_floor_index">
                            <a href="#">  <img src="${ctx}/static/images/D_floor_1.png"/></a>
                            <span>D栋</span>
                        </li>
                        <li class="f_floor">
                            <a href="#">  <img src="${ctx}/static/images/F_floor.png"/></a>
                            <span>F栋</span>
                        </li>
                        <!-- <li class="h_floor">
                            <a href="#">  <img src="../static/images/F_floor.png"/></a>
                        </li> -->
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>