<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>北车间</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/hw">北车间</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>28</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>22</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '20%',
                left: '1.5%',
                gbid: '31011700001320000783'
            }, {
                top: '13%',
                left: '9%',
                gbid: '31011700001320001187'
            }, {
                top: '28%',
                left: '9%',
                gbid: '31011700001320001188'
            }, {
                top: '57%',
                left: '9%',
                gbid: '31011700001320001190'
            }, {
                top: '43%',
                left: '9%',
                gbid: '31011700001320001189'
            }, {
                top: '73%',
                left: '9%',
                gbid: '31011700001320001191'
            }, {
                top: '87%',
                left: '9%',
                gbid: '31011700001320001192'
            }, {
                top: '1.2rem',
                left: '4.8rem',
                gbid: '31011700001320001193'
            }, {
                top: '9%',
                left: '5.6rem',
                gbid: '31011700001320001194'
            }, {
                top: '9%',
                left: '6.9rem',
                gbid: '31011700001320001195'
            }, {
                top: '12%',
                left: '10.3rem',
                gbid: '31011700001320001196'
            }, {
                top: '1rem',
                left: '11.5rem',
                gbid: '31011700001320001197'
            }, {
                top: '48%',
                left: '3.5rem',
                gbid: '31011700001320000957'
            }, {
                top: '48%',
                left: '5rem',
                gbid: '31011700001320000965'
            }, {
                top: '48%',
                left: '6.45rem',
                gbid: '31011700001320000966'
            }, {
                top: '48%',
                left: '7.9rem',
                gbid: '31011700001320000967'
            }, {
                top: '48%',
                left: '9.5rem',
                gbid: '31011700001320000968'
            }, {
                top: '48%',
                left: '10.95rem',
                gbid: '31011700001320000969'
            }, {
                top: '69%',
                left: '3.5rem',
                gbid: '31011700001320000970'
            }, {
                top: '69%',
                left: '5rem',
                gbid: '31011700001320000971'
            }, {
                top: '69%',
                left: '6.45rem',
                gbid: '31011700001320000972'
            }, {
                top: '69%',
                left: '7.9rem',
                gbid: '31011700001320000958'
            }, {
                top: '69%',
                left: "9.5rem",
                gbid: '31011700001320000959'
            }, {
                top: '69%',
                left: "10.95rem",
                gbid: '31011700001320000960'
            }, {
                top: '92%',
                left: "5rem",
                gbid: '31011700001320000961'
            }, {
                top: '92%',
                left: "6.45rem",
                gbid: '31011700001320000962'
            }, {
                top: '92%',
                left: "7.9rem",
                gbid: '31011700001320000963'
            }, {
                top: '92%',
                left: "9.5rem",
                gbid: '31011700001320000964'
            }],
        'arr2': [
            {
                top: '1.4rem',
                left: '0.15rem',
                gbid: '31011700001320000785'
            }, {
                top: '2.1rem',
                left: '1.4rem',
                gbid: '31011700001320001179'
            }, {
                top: '2.1rem',
                left: '3.4rem',
                gbid: '31011700001320001180'
            }, {
                top: '3.9rem',
                left: '1.4rem',
                gbid: '31011700001320001181'
            }, {
                top: '3.9rem',
                left: '3.4rem',
                gbid: '31011700001320001182'
            }, {
                top: '92.5%',
                left: '1.4rem',
                gbid: '31011700001320001169'
            }, {
                top: '92.5%',
                left: '3.4rem',
                gbid: '31011700001320001170'
            }, {
                top: '70%',
                left: '1.4rem',
                gbid: '31011700001320001183'
            }, {
                top: '70%',
                left: '3.4rem',
                gbid: '31011700001320001184'
            }, {
                top: '3.3rem',
                left: '5.3rem',
                gbid: '31011700001320001186'
            }, {
                top: '58%',
                left: '6.6rem',
                gbid: '31011700001320001178'
            }, {
                top: '58%',
                left: '5.3rem',
                gbid: '31011700001320001185'
            }, {
                top: '3.3rem',
                left: '6.6rem',
                gbid: '31011700001320001177'
            }, {
                top: '2.1rem',
                left: '8.5rem',
                gbid: '31011700001320001171'
            }, {
                top: '2.1rem',
                left: '10.5rem',
                gbid: '31011700001320001172'
            }, {
                top: '3.9rem',
                left: '8.5rem',
                gbid: '31011700001320001173'
            }, {
                top: '3.9rem',
                left: '10.5rem',
                gbid: '31011700001320001174'
            }, {
                top: '70%',
                left: '8.5rem',
                gbid: '31011700001320001175'
            }, {
                top: '70%',
                left: '10.5rem',
                gbid: '31011700001320001176'
            }, {
                top: '92.5%',
                left: '8.5rem',
                gbid: '31011700001320001167'
            }, {
                top: '92.5%',
                left: '10.5rem',
                gbid: '31011700001320001168'
            }, {
                top: "80%",
                left: "96%",
                gbid: '31011700001320000784'
            }]
    };

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/workshop' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
