<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp"%>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/common.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/workshop.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/commonArea.css"/>
    <script src="${ctx}/static/js/jquery-1.8.1.min.js" type=text/javascript></script>
    <script src="${ctx}/static/js/rem.js"></script>
    <title>基础区域</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/hw">基础区域</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <a class="flex-box">
                            <p class="tabName">内围墙</p>
                            <p class="monitor monitor2">监控点<span>30</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">一大门</p>
                            <p class="monitor monitor2">监控点<span>3</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">二大门</p>
                            <p class="monitor monitor2">监控点<span>7</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">公共区域</p>
                            <p class="monitor monitor2">监控点<span>7</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">操场</p>
                            <p class="monitor monitor2">监控点<span>2</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">炊场</p>
                            <p class="monitor monitor2">监控点<span>29</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">车间</p>
                            <p class="monitor monitor2">监控点<span>9</span></p>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>
<script type="text/javascript">

    let model = '${model}';

    let dataList = {
        'arr1': [
            {
                top: '0.4rem',
                left: '0.8rem',
                gbid: '31011700001320001148'
            }, {
                top: '0.8rem',
                left: '0.4rem',
                gbid: '31011700001320001159'
            }, {
                top: '2.1rem',
                left: '0.4rem',
                gbid: '31011700001320001160'
            }, {
                top: '3.4rem',
                left: '0.4rem',
                gbid: '31011700001320001161'
            }, {
                top: '4.6rem',
                left: '0.4rem',
                gbid: '31011700001320001162'
            }, {
                top: '5.8rem',
                left: '0.4rem',
                gbid: '31011700001320001163'
            }, {
                top: '7.05rem',
                left: '0.4rem',
                gbid: '31011700001320001164'
            }, {
                top: '7.43rem',
                left: '0.8rem',
                gbid: '31011700001320001165'
            }, {
                top: '7.43rem',
                left: '2.15rem',
                gbid: '31011700001320001166'
            }, {
                top: '7.43rem',
                left: '3.65rem',
                gbid: '31011700001320001138'
            }, {
                top: '7.43rem',
                left: '5.15rem',
                gbid: '31011700001320001139'
            }, {
                top: '7.43rem',
                left: '6.65rem',
                gbid: '31011700001320001140'
            }, {
                top: '7.43rem',
                left: '8.15rem',
                gbid: '31011700001320001141'
            }, {
                top: '7.43rem',
                left: '9.65rem',
                gbid: '31011700001320001142'
            }, {
                top: '7.43rem',
                left: '10.95rem',
                gbid: '31011700001320001143'
            }, {
                top: '7.05rem',
                left: '11.35rem',
                gbid: '31011700001320001144'
            }, {
                top: '5.8rem',
                left: '11.35rem',
                gbid: '31011700001320001145'
            }, {
                top: '4.6rem',
                left: '11.35rem',
                gbid: '31011700001320001146'
            }, {
                top: '3.4rem',
                left: '11.35rem',
                gbid: '31011700001320001147'
            }, {
                top: '2.1rem',
                left: '11.35rem',
                gbid: '31011700001320001149'
            }, {
                top: '0.8rem',
                left: '11.35rem',
                gbid: '31011700001320001150'
            }, {
                top: '0.4rem',
                left: '10.95rem',
                gbid: '31011700001320001151'
            }, {
                top: '0.4rem',
                left: '9.58rem',
                gbid: '31011700001320001152'
            }, {
                top: '0.4rem',
                left: '8.35rem',
                gbid: '31011700001320001153'
            }, {
                top: '0.4rem',
                left: '7.12rem',
                gbid: '31011700001320001154'
            }, {
                top: '0.4rem',
                left: '5.82rem',
                gbid: '31011700001320001155'
            }, {
                top: '0.4rem',
                left: '4.56rem',
                gbid: '31011700001320001156'
            }, {
                top: '0.4rem',
                left: '3.3rem',
                gbid: '31011700001320001157'
            }, {
                top: '0.4rem',
                left: '2.05rem',
                gbid: '31011700001320001158'
            }, {
                top: '3.9rem',
                left: '5.85rem',
                gbid: '31011700001320001368'
            }
        ],
        'arr2': [
            {
                top: '3.15rem',
                left: '3.2rem',
                gbid: '31011700001320001021'
            }, {
                top: '2.35rem',
                left: '7.85rem',
                gbid: '31011700001320001019'
            }, {
                top: '4rem',
                left: '7.85rem',
                gbid: '31011700001320001020'
            }
        ],
        'arr3': [
            {
                top: '1.69rem',
                left: '7.2rem',
                gbid: '31011700001320001302'
            }, {
                top: '2.48rem',
                left: '7.65rem',
                gbid: '31011700001320001349'
            }, {
                top: '2.8rem',
                left: '6.7rem',
                gbid: '31011700001320001349'
            }, {
                top: '3.9rem',
                left: '3.15rem',
                gbid: '31011700001320000809'
            }, {
                top: '3.9rem',
                left: '7.65rem',
                gbid: '31011700001320001318'
            }, {
                top: '5rem',
                left: '6.3rem',
                gbid: '31011700001320000808'
            }, {
                top: '5.3rem',
                left: '7.65rem',
                gbid: '31011700001320001348'
            }
        ],
        'arr4': [
            {
                top: '3.5rem',
                left: '9.2rem',
                gbid: '31011700001320001324'
            }, {
                top: '4.7rem',
                left: '10.25rem',
                gbid: '31011700001320001323'
            }, {
                top: '5.17rem',
                left: '11.25rem',
                gbid: '31011700001320001325'
            }, {
                top: '5.83rem',
                left: '9.86rem',
                gbid: '31011700001320001352'
            }, {
                top: '6.15rem',
                left: '9.57rem',
                gbid: '31011700001320001353'
            }, {
                top: '6.1rem',
                left: '3.2rem',
                gbid: '31011700001320001321'
            }, {
                top: '7.1rem',
                left: '3.2rem',
                gbid: '31011700001320001322'
            }
        ],
        'arr5': [
            {
                top: '0.25rem',
                left: '0.25rem',
                gbid: '31011700001320001133'
            }, {
                top: '7.4rem',
                left: '11.1rem',
                gbid: '31011700001320001134'
            }
        ],
        'arr6': [
            {
                top: '0.33rem',
                left: '0.33rem',
                gbid: '31011700001320000799'
            }, {
                top: '0.33rem',
                left: '1.99rem',
                gbid: '31011700001320000801'
            }, {
                top: '0.33rem',
                left: '3.44rem',
                gbid: '31011700001320000802'
            }, {
                top: '0.33rem',
                left: '4.85rem',
                gbid: '31011700001320000804'
            }, {
                top: '0.33rem',
                left: '6.14rem',
                gbid: '31011700001320000805'
            }, {
                top: '0.33rem',
                left: '6.55rem',
                gbid: '31011700001320001313'
            }, {
                top: '0.33rem',
                left: '8.4rem',
                gbid: '31011700001320001309'
            }, {
                top: '0.33rem',
                left: '9.68rem',
                gbid: '31011700001320001310'
            }, {
                top: '0.33rem',
                left: '10.05rem',
                gbid: '31011700001320001314'
            }, {
                top: '1.84rem',
                left: '4.45rem',
                gbid: '31011700001320000803'
            }, {
                top: '1.84rem',
                left: '6.18rem',
                gbid: '31011700001320001316'
            }, {
                top: '1.84rem',
                left: '9.68rem',
                gbid: '31011700001320001311'
            }, {
                top: '1.84rem',
                left: '11.4rem',
                gbid: '31011700001320001315'
            }, {
                top: '2.95rem',
                left: '0.33rem',
                gbid: '31011700001320001319'
            }, {
                top: '4.85rem',
                left: '1.72rem',
                gbid: '31011700001320001320'
            }, {
                top: '3.9rem',
                left: '2.39rem',
                gbid: '31011700001320001317'
            }, {
                top: '3.9rem',
                left: '6.55rem',
                gbid: '31011700001320001307'
            }, {
                top: '3.9rem',
                left: '11.2rem',
                gbid: '31011700001320001305'
            }, {
                top: '6rem',
                left: '4.27rem',
                gbid: '31011700001320000797'
            }, {
                top: '6rem',
                left: '5.8rem',
                gbid: '31011700001320000793'
            }, {
                top: '6rem',
                left: '11.4rem',
                gbid: '31011700001320000795'
            }, {
                top: '7.48rem',
                left: '0.33rem',
                gbid: '31011700001320001304'
            }, {
                top: '7.48rem',
                left: '1.75rem',
                gbid: '31011700001320001308'
            }, {
                top: '7.48rem',
                left: '3.34rem',
                gbid: '31011700001320000798'
            }, {
                top: '7.48rem',
                left: '4.65rem',
                gbid: '31011700001320000794'
            }, {
                top: '7.48rem',
                left: '6.2rem',
                gbid: '31011700001320001312'
            }, {
                top: '7.48rem',
                left: '7.2rem',
                gbid: '31011700001320001306'
            }, {
                top: '7.48rem',
                left: '8.7rem',
                gbid: '31011700001320000792'
            }, {
                top: '7.48rem',
                left: '10.35rem',
                gbid: '31011700001320000796'
            }
        ],
        'arr7': [
            {
                top: '1.53rem',
                left: '2.12rem',
                gbid: '31011700001320000791'
            }, {
                top: '2.3rem',
                left: '4.13rem',
                gbid: '31011700001320001135'
            }, {
                top: '2.3rem',
                left: '7.45rem',
                gbid: '31011700001320001136'
            }, {
                top: '3.89rem',
                left: '2.05rem',
                gbid: '31011700001320001350'
            }, {
                top: '3.89rem',
                left: '9.95rem',
                gbid: '31011700001320001351'
            }, {
                top: '4.9rem',
                left: '0.9rem',
                gbid: '31011700001320000789'
            }, {
                top: '5.4rem',
                left: '4.13rem',
                gbid: '31011700001320001137'
            }, {
                top: '5.4rem',
                left: '7.45rem',
                gbid: '31011700001320000790'
            }, {
                top: '5.94rem',
                left: '9.95rem',
                gbid: '31011700001320001335'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {

        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);

            /*let model = $(this).find('.tabName').html();
            location.replace(model)*/
        })
        updateData(1);

        $("p:contains(" + model + ")").parents('li').trigger('click');
    });

    function updateData(index) {
        thisIndex = index;
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/jcqy_0' + index + '.jpg" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style=top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + ' onclick="handleClick(' + i + ')"></img>'
            // 使用 innerHTML 添加元素
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(areaNumber) {

        let gbId = dataList['arr' + thisIndex][areaNumber].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>