<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="${ctx}/static/js/jquery-1.8.1.min.js" type=text/javascript></script>
    <script src="${ctx}/static/js/rem.js"></script>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/common.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/workshop.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/commonArea.css"/>
    <title>老会见楼</title>
    <style type="text/css">
        .content {
            background: url('${ctx}/static/images/bg.jpg') no-repeat;
            width: 100%;
            min-height: 100vh;
            background-size: cover;
        }

        .padding_box {
            padding: 0.12rem 1rem 0;
        }
    </style>
</head>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class="padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/hw">老会见楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p>老会见楼</p>
                            <p class="monitor">监控点<span>19</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    var arr = [
        {
            top: '0.3rem',
            left: '2.5rem',
            gbid: '31011700001320000806'
        }, {
            top: '0.32rem',
            left: '8.1rem',
            gbid: '31011700001320000807'
        }, {
            top: '2rem',
            left: '1.2rem',
            gbid: '31011700001320000810'
        }, {
            top: '2rem',
            left: '3.5rem',
            gbid: '31011700001320000811'
        }, {
            top: '2rem',
            left: '5.75rem',
            gbid: '31011700001320000812'
        }, {
            top: '2rem',
            left: '8rem',
            gbid: '31011700001320000813'
        }, {
            top: '2rem',
            left: '10.5rem',
            gbid: '31011700001320000814'
        }, {
            top: '4.5rem',
            left: '1.2rem',
            gbid: '31011700001320000815'
        }, {
            top: '4.5rem',
            left: '3.5rem',
            gbid: '31011700001320000816'
        }, {
            top: '4.5rem',
            left: '5.75rem',
            gbid: '31011700001320000817'
        }, {
            top: '4.5rem',
            left: '8rem',
            gbid: '31011700001320000818'
        }, {
            top: '4.5rem',
            left: '10.5rem',
            gbid: '31011700001320000819'
        }, {
            top: '7.2rem',
            left: '1rem',
            gbid: '31011700001320000821'
        }, {
            top: '7.2rem',
            left: '2.9rem',
            gbid: '31011700001320000822'
        }, {
            top: '7.2rem',
            left: '4.8rem',
            gbid: '31011700001320000823'
        }, {
            top: '7.2rem',
            left: '6.7rem',
            gbid: '31011700001320000824'
        }, {
            top: '7.2rem',
            left: '8.9rem',
            gbid: '31011700001320000825'
        }, {
            top: '7.2rem',
            left: '10.8rem',
            gbid: '31011700001320000826'
        }, {
            top: '7.6rem',
            left: '6.2rem',
            gbid: '31011700001320000820'
        }]
    $(function () {
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        console.log(divElement)
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/meeting.png" alt="">'
        for (let i = 0; i < arr.length; i++) {
            console.log(divElement)
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style=top:' + arr[i].top + ";left:" + arr[i].left + ' onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    });

    function handleClick(areaNumber) {
        let gbId = arr[areaNumber].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
