<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/common.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/workshop.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/commonArea.css"/>
    <script src="${ctx}/static/js/jquery-1.8.1.min.js" type=text/javascript></script>
    <script src="${ctx}/static/js/rem.js"></script>
    <title>南车间</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/hw">南车间</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <a class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor monitor2">监控点<span>52</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor monitor2">监控点<span>48</span></p>
                        </a>
                    </li>

                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>
    let dataList = {
        'arr1': [
            {
                top: '0.46rem',
                left: '1.84rem',
                gbid: '31011700001320001080'
            }, {
                top: '1.09rem',
                left: '0.46rem',
                gbid: '31011700001320001060'
            }, {
                top: '2.7rem',
                left: '0.46rem',
                gbid: '31011700001320001061'
            }, {
                top: '2.2rem',
                left: '1.85rem',
                gbid: '31011700001320001062'
            }, {
                top: '1.09rem',
                left: '3.2rem',
                gbid: '31011700001320001063'
            }, {
                top: '2.7rem',
                left: '3.2rem',
                gbid: '31011700001320001064'
            }, {
                top: '1.1rem',
                left: '3.62rem',
                gbid: '31011700001320001058'
            }, {
                top: '1.68rem',
                left: '5rem',
                gbid: '31011700001320001059'
            }, {
                top: '2.7rem',
                left: '5rem',
                gbid: '31011700001320001079'
            }, {
                top: '3.1rem',
                left: '0.46rem',
                gbid: '31011700001320001065'
            }, {
                top: '3.15rem',
                left: '1.85rem',
                gbid: '31011700001320001066'
            }, {
                top: '3.15rem',
                left: '3.5rem',
                gbid: '31011700001320001067'
            }, {
                top: '3.15rem',
                left: '5rem',
                gbid: '31011700001320001068'
            }, {
                top: '4.85rem',
                left: '0.46rem',
                gbid: '31011700001320001069'
            }, {
                top: '4.85rem',
                left: '1.85rem',
                gbid: '31011700001320001070'
            }, {
                top: '4.85rem',
                left: '3.5rem',
                gbid: '31011700001320001071'
            }, {
                top: '4.85rem',
                left: '5rem',
                gbid: '31011700001320001072'
            }, {
                top: '6.26rem',
                left: '0.46rem',
                gbid: '31011700001320001073'
            }, {
                top: '6.26rem',
                left: '2.6rem',
                gbid: '31011700001320001074'
            }, {
                top: '6.7rem',
                left: '2.9rem',
                gbid: '31011700001320001075'
            }, {
                top: '6.7rem',
                left: '5rem',
                gbid: '31011700001320001076'
            }, {
                top: '2.62rem',
                left: '5.54rem',
                gbid: '31011700001320001083'
            }, {
                top: '2.62rem',
                left: '6.17rem',
                gbid: '31011700001320001084'
            }, {
                top: '4.55rem',
                left: '5.54rem',
                gbid: '31011700001320001085'
            }, {
                top: '4.55rem',
                left: '6.17rem',
                gbid: '31011700001320001086'
            }, {
                top: '7.25rem',
                left: '5.85rem',
                gbid: '31011700001320001077'
            }, {
                top: '7.25rem',
                left: '9.59rem',
                gbid: '31011700001320001078'
            }, {
                top: '2.62rem',
                left: '11.15rem',
                gbid: '31011700001320001055'
            }, {
                top: '3.87rem',
                left: '11.15rem',
                gbid: '31011700001320001033'
            }, {
                top: '5.35rem',
                left: '11.15rem',
                gbid: '31011700001320001056'
            }, {
                top: '0.3rem',
                left: '8rem',
                gbid: '31011700001320001053'
            }, {
                top: '1.15rem',
                left: '6.7rem',
                gbid: '31011700001320001054'
            }, {
                top: '2.44rem',
                left: '6.7rem',
                gbid: '31011700001320001057'
            }, {
                top: '2.8rem',
                left: '6.7rem',
                gbid: '31011700001320001036'
            }, {
                top: '2.8rem',
                left: '8rem',
                gbid: '31011700001320001037'
            }, {
                top: '4.6rem',
                left: '7.35rem',
                gbid: '31011700001320001038'
            }, {
                top: '5.67rem',
                left: '6.7rem',
                gbid: '31011700001320001039'
            }, {
                top: '5.67rem',
                left: '8rem',
                gbid: '31011700001320001040'
            }, {
                top: '6.05rem',
                left: '8rem',
                gbid: '31011700001320001034'
            }, {
                top: '6.7rem',
                left: '6.7rem',
                gbid: '31011700001320001035'
            }, {
                top: '1.56rem',
                left: '8.38rem',
                gbid: '31011700001320001041'
            }, {
                top: '1.56rem',
                left: '10.5rem',
                gbid: '31011700001320001042'
            }, {
                top: '2rem',
                left: '9.44rem',
                gbid: '31011700001320001043'
            }, {
                top: '3.47rem',
                left: '8.38rem',
                gbid: '31011700001320001044'
            }, {
                top: '3.47rem',
                left: '9.44rem',
                gbid: '31011700001320001045'
            }, {
                top: '3.47rem',
                left: '10.5rem',
                gbid: '31011700001320001046'
            }, {
                top: '5.06rem',
                left: '8.38rem',
                gbid: '31011700001320001047'
            }, {
                top: '5.06rem',
                left: '9.44rem',
                gbid: '31011700001320001048'
            }, {
                top: '5.06rem',
                left: '10.5rem',
                gbid: '31011700001320001049'
            }, {
                top: '6.7rem',
                left: '8.38rem',
                gbid: '31011700001320001050'
            }, {
                top: '6.7rem',
                left: '9.44rem',
                gbid: '31011700001320001051'
            }, {
                top: '6.7rem',
                left: '10.5rem',
                gbid: '31011700001320001052'
            }
        ],
        'arr2': [
            {
                top: '0.3rem',
                left: '0.45rem',
                gbid: '31011700001320001118'
            }, {
                top: '0.3rem',
                left: '3.18rem',
                gbid: '31011700001320001119'
            }, {
                top: '2.3rem',
                left: '0.45rem',
                gbid: '31011700001320001120'
            }, {
                top: '2.3rem',
                left: '1.85rem',
                gbid: '31011700001320001121'
            }, {
                top: '2.3rem',
                left: '3.15rem',
                gbid: '31011700001320001122'
            }, {
                top: '3.78rem',
                left: '0.45rem',
                gbid: '31011700001320001123'
            }, {
                top: '3.78rem',
                left: '3.18rem',
                gbid: '31011700001320001124'
            }, {
                top: '5.25rem',
                left: '0.45rem',
                gbid: '31011700001320001125'
            }, {
                top: '5.25rem',
                left: '1.85rem',
                gbid: '31011700001320001126'
            }, {
                top: '5.25rem',
                left: '3.15rem',
                gbid: '31011700001320001127'
            }, {
                top: '6.7rem',
                left: '0.45rem',
                gbid: '31011700001320001128'
            }, {
                top: '6.7rem',
                left: '3.18rem',
                gbid: '31011700001320001129'
            }, {
                top: '1.16rem',
                left: '3.62rem',
                gbid: '31011700001320001132'
            }, {
                top: '1.55rem',
                left: '3.62rem',
                gbid: '31011700001320001113'
            }, {
                top: '1.55rem',
                left: '5rem',
                gbid: '31011700001320001114'
            }, {
                top: '3.95rem',
                left: '4.3rem',
                gbid: '31011700001320001115'
            }, {
                top: '5.65rem',
                left: '3.62rem',
                gbid: '31011700001320001116'
            }, {
                top: '5.65rem',
                left: '5rem',
                gbid: '31011700001320001117'
            }, {
                top: '6.05rem',
                left: '3.62rem',
                gbid: '31011700001320001111'
            }, {
                top: '6.65rem',
                left: '5rem',
                gbid: '31011700001320001112'
            }, {
                top: '7.3rem',
                left: '3.08rem',
                gbid: '31011700001320001082'
            }, {
                top: '7.3rem',
                left: '5.82rem',
                gbid: '31011700001320001130'
            }, {
                top: '7.3rem',
                left: '9.18rem',
                gbid: '31011700001320001131'
            }, {
                top: '0.54rem',
                left: '11.13rem',
                gbid: '31011700001320001081'
            }, {
                top: '2.65rem',
                left: '11.13rem',
                gbid: '31011700001320001108'
            }, {
                top: '6.73rem',
                left: '11.13rem',
                gbid: '31011700001320001109'
            }, {
                top: '0.3rem',
                left: '6.7rem',
                gbid: '31011700001320001106'
            }, {
                top: '1.16rem',
                left: '8rem',
                gbid: '31011700001320001107'
            }, {
                top: '2.44rem',
                left: '8rem',
                gbid: '31011700001320001110'
            }, {
                top: '2.83rem',
                left: '6.7rem',
                gbid: '31011700001320001089'
            }, {
                top: '2.83rem',
                left: '8rem',
                gbid: '31011700001320001090'
            }, {
                top: '3.95rem',
                left: '7.33rem',
                gbid: '31011700001320001091'
            }, {
                top: '5.65rem',
                left: '6.7rem',
                gbid: '31011700001320001092'
            }, {
                top: '5.65rem',
                left: '8rem',
                gbid: '31011700001320001093'
            }, {
                top: '6.05rem',
                left: '8rem',
                gbid: '31011700001320001087'
            }, {
                top: '6.7rem',
                left: '6.7rem',
                gbid: '31011700001320001088'
            }, {
                top: '1.05rem',
                left: '8.38rem',
                gbid: '31011700001320001094'
            }, {
                top: '1.05rem',
                left: '10.53rem',
                gbid: '31011700001320001095'
            }, {
                top: '2.83rem',
                left: '8.38rem',
                gbid: '31011700001320001096'
            }, {
                top: '2.83rem',
                left: '10.53rem',
                gbid: '31011700001320001097'
            }, {
                top: '3.48rem',
                left: '9.45rem',
                gbid: '31011700001320001098'
            }, {
                top: '4.12rem',
                left: '8.38rem',
                gbid: '31011700001320001099'
            }, {
                top: '4.12rem',
                left: '10.53rem',
                gbid: '31011700001320001100'
            }, {
                top: '4.8rem',
                left: '9.45rem',
                gbid: '31011700001320001101'
            }, {
                top: '5.42rem',
                left: '8.38rem',
                gbid: '31011700001320001102'
            }, {
                top: '5.42rem',
                left: '10.53rem',
                gbid: '31011700001320001103'
            }, {
                top: '6.7rem',
                left: '8.38rem',
                gbid: '31011700001320001104'
            }, {
                top: '6.7rem',
                left: '10.53rem',
                gbid: '31011700001320001105'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/south_0' + index + '.jpg" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style=top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + ' onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(areaNumber) {
        let gbId = dataList['arr' + thisIndex][areaNumber].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
