<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/common.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/workshop.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/commonArea.css"/>
    <script src="${ctx}/static/js/jquery-1.8.1.min.js" type=text/javascript></script>
    <script src="${ctx}/static/js/rem.js"></script>
    <title>南监</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/hw">南监</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <a class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor monitor2">监控点<span>29</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor monitor2">监控点<span>30</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor monitor2">监控点<span>27</span></p>
                        </a>
                    </li>

                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '0.58rem',
                left: '0.38rem',
                gbid: '31011700001320000881'
            }, {
                top: '1.48rem',
                left: '0.38rem',
                gbid: '31011700001320000880'
            }, {
                top: '2.46rem',
                left: '0.38rem',
                gbid: '31011700001320000879'
            }, {
                top: '3.4rem',
                left: '0.38rem',
                gbid: '31011700001320000878'
            }, {
                top: '4.39rem',
                left: '0.38rem',
                gbid: '31011700001320000877'
            }, {
                top: '5.33rem',
                left: '0.38rem',
                gbid: '31011700001320000876'
            }, {
                top: '6.25rem',
                left: '0.38rem',
                gbid: '31011700001320000875'
            }, {
                top: '7.2rem',
                left: '0.38rem',
                gbid: '31011700001320000874'
            }, {
                top: '0.4rem',
                left: '3.4rem',
                gbid: '31011700001320001336'
            }, {
                top: '7.32rem',
                left: '3.4rem',
                gbid: '31011700001320001337'
            }, {
                top: '0.38rem',
                left: '4.3rem',
                gbid: '31011700001320000882'
            }, /*{
                top: '0.38rem',
                left: '5.26rem',
                gbid: 'aa'
            }, {
                top: '0.38rem',
                left: '6.23rem',
                gbid: 'aa'
            }, */{
                top: '0.38rem',
                left: '7.2rem',
                gbid: '31011700001320000869'
            }, {
                top: '0.38rem',
                left: '8.18rem',
                gbid: '31011700001320000870'
            }, {
                top: '0.38rem',
                left: '9.16rem',
                gbid: '31011700001320000871'
            }, {
                top: '0.38rem',
                left: '10.12rem',
                gbid: '31011700001320000872'
            }, {
                top: '0.38rem',
                left: '11.09rem',
                gbid: '31011700001320000873'
            }, {
                top: '3.35rem',
                left: '11.3rem',
                gbid: '31011700001320000888'
            }, {
                top: '3.9rem',
                left: '6.15rem',
                gbid: '31011700001320001341'
            }, {
                top: '6.15rem',
                left: '4.05rem',
                gbid: '31011700001320001342'
            }, {
                top: '7rem',
                left: '4.03rem',
                gbid: '31011700001320001346'
            }, {
                top: '5.1rem',
                left: '6.53rem',
                gbid: '31011700001320000887'
            }, {
                top: '5.48rem',
                left: '7.85rem',
                gbid: '31011700001320000883'
            }, {
                top: '6.65rem',
                left: '6.53rem',
                gbid: '31011700001320000884'
            }, {
                top: '6.65rem',
                left: '8.35rem',
                gbid: '31011700001320000886'
            }, {
                top: '6.65rem',
                left: '8.94rem',
                gbid: '31011700001320001340'
            }, {
                top: '6.65rem',
                left: '11.45rem',
                gbid: '31011700001320000885'
            }, {
                top: '7.25rem',
                left: '9.43rem',
                gbid: '31011700001320001347'
            }
        ],
        'arr2': [
            {
                top: '0.58rem',
                left: '0.38rem',
                gbid: '31011700001320000902'
            }, {
                top: '1.48rem',
                left: '0.38rem',
                gbid: '31011700001320000901'
            }, {
                top: '2.46rem',
                left: '0.38rem',
                gbid: '31011700001320000900'
            }, {
                top: '3.4rem',
                left: '0.38rem',
                gbid: '31011700001320000899'
            }, {
                top: '4.39rem',
                left: '0.38rem',
                gbid: '31011700001320000898'
            }, {
                top: '5.33rem',
                left: '0.38rem',
                gbid: '31011700001320000897'
            }, {
                top: '6.25rem',
                left: '0.38rem',
                gbid: '31011700001320000896'
            }, {
                top: '7.2rem',
                left: '0.38rem',
                gbid: '31011700001320000895'
            }, {
                top: '0.4rem',
                left: '3.4rem',
                gbid: '31011700001320000909'
            }, {
                top: '7.32rem',
                left: '3.4rem',
                gbid: '31011700001320000910'
            }, {
                top: '0.38rem',
                left: '4.3rem',
                gbid: '31011700001320000903'
            }, {
                top: '0.38rem',
                left: '5.26rem',
                gbid: '31011700001320000889'
            }, {
                top: '0.38rem',
                left: '6.23rem',
                gbid: '31011700001320000890'
            }, {
                top: '0.38rem',
                left: '7.2rem',
                gbid: '31011700001320000891'
            }, {
                top: '0.38rem',
                left: '8.18rem',
                gbid: '31011700001320000892'
            }, {
                top: '0.38rem',
                left: '9.16rem',
                gbid: '31011700001320000893'
            }, {
                top: '0.38rem',
                left: '10.12rem',
                gbid: '31011700001320000894'
            }, {
                top: '3.35rem',
                left: '11.3rem',
                gbid: '31011700001320000918'
            }, {
                top: '3.9rem',
                left: '6.15rem',
                gbid: '31011700001320000907'
            }, {
                top: '6.15rem',
                left: '4.05rem',
                gbid: '31011700001320000908'
            }, {
                top: '7rem',
                left: '4.03rem',
                gbid: '31011700001320000916'
            }, {
                top: '3.9rem',
                left: '6.52rem',
                gbid: '31011700001320000912'
            }, {
                top: '3.9rem',
                left: '7.85rem',
                gbid: '31011700001320000913'
            }, {
                top: '6.15rem',
                left: '6.52rem',
                gbid: '31011700001320000914'
            }, {
                top: '6.15rem',
                left: '7.85rem',
                gbid: '31011700001320000915'
            }, {
                top: '6.65rem',
                left: '6.53rem',
                gbid: '31011700001320000911'
            }, {
                top: '7.35rem',
                left: '6.53rem',
                gbid: '31011700001320000904'
            }, {
                top: '5.37rem',
                left: '11.38rem',
                gbid: '31011700001320000917'
            }, {
                top: '5.85rem',
                left: '11.38rem',
                gbid: '31011700001320000905'
            }, {
                top: '7.45rem',
                left: '9.43rem',
                gbid: '31011700001320000906'
            }
        ],
        'arr3': [
            {
                top: '0.58rem',
                left: '0.38rem',
                gbid: '31011700001320000933'
            }, {
                top: '1.48rem',
                left: '0.38rem',
                gbid: '31011700001320000932'
            }, {
                top: '2.46rem',
                left: '0.38rem',
                gbid: '31011700001320000931'
            }, {
                top: '3.4rem',
                left: '0.38rem',
                gbid: '31011700001320000930'
            }, {
                top: '4.39rem',
                left: '0.38rem',
                gbid: '31011700001320000929'
            }, {
                top: '5.33rem',
                left: '0.38rem',
                gbid: '31011700001320000928'
            }, {
                top: '6.25rem',
                left: '0.38rem',
                gbid: '31011700001320000927'
            }, {
                top: '7.2rem',
                left: '0.38rem',
                gbid: '31011700001320000926'
            }, {
                top: '0.4rem',
                left: '3.4rem',
                gbid: '31011700001320001338'
            }, {
                top: '7.32rem',
                left: '3.4rem',
                gbid: '31011700001320001339'
            }, {
                top: '0.38rem',
                left: '4.3rem',
                gbid: '31011700001320000934'
            }, {
                top: '0.38rem',
                left: '5.26rem',
                gbid: '31011700001320000919'
            }, {
                top: '0.38rem',
                left: '6.23rem',
                gbid: '31011700001320000920'
            }, {
                top: '0.38rem',
                left: '7.2rem',
                gbid: '31011700001320000921'
            }, {
                top: '0.38rem',
                left: '8.18rem',
                gbid: '31011700001320000922'
            }, {
                top: '0.38rem',
                left: '9.16rem',
                gbid: '31011700001320000923'
            }, {
                top: '0.38rem',
                left: '10.12rem',
                gbid: '31011700001320000924'
            }, {
                top: '0.38rem',
                left: '11.09rem',
                gbid: '31011700001320000925'
            }, {
                top: '3.35rem',
                left: '11.3rem',
                gbid: '31011700001320000940'
            },
            {
                top: '6.15rem',
                left: '4.05rem',
                gbid: '31011700001320001345'
            }, {
                top: '7rem',
                left: '4.03rem',
                gbid: '31011700001320001344'
            },
            {
                top: '3.9rem',
                left: '7.85rem',
                gbid: '31011700001320001343'
            },
            {
                top: '6.65rem',
                left: '6.53rem',
                gbid: '31011700001320000938'
            }, {
                top: '7.35rem',
                left: '6.53rem',
                gbid: '31011700001320000935'
            }, {
                top: '5.37rem',
                left: '11.38rem',
                gbid: '31011700001320000939'
            }, {
                top: '5.85rem',
                left: '11.38rem',
                gbid: '31011700001320000936'
            }, {
                top: '7.45rem',
                left: '9.43rem',
                gbid: '31011700001320000937'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/nj_0' + index + '.jpg" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style=top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + ' onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(areaNumber) {
        let gbId = dataList['arr' + thisIndex][areaNumber].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
