<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/common.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/workshop.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/commonArea.css"/>
    <script src="${ctx}/static/js/jquery-1.8.1.min.js" type=text/javascript></script>
    <script src="${ctx}/static/js/rem.js"></script>
    <title>卫生所</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/hw">卫生所</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <a class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor monitor2">监控点<span>9</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor monitor2">监控点<span>5</span></p>
                        </a>
                    </li>

                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    let dataList = {
        'arr1': [
            {
                top: '0.38rem',
                left: '0.38rem',
                gbid: '31011700001320001354'
            }, {
                top: '0.43rem',
                left: '5.52rem',
                gbid: '31011700001320001366'
            }, {
                top: '0.38rem',
                left: '9.84rem',
                gbid: '31011700001320001355'
            }, {
                top: '4.2rem',
                left: '5.26rem',
                gbid: '31011700001320001361'
            }, {
                top: '4.5rem',
                left: '9.85rem',
                gbid: '31011700001320001356'
            }, {
                top: '4.21rem',
                left: '11.3rem',
                gbid: '31011700001320001365'
            }, {
                top: '7.45rem',
                left: '1.51rem',
                gbid: '31011700001320001367'
            }, {
                top: '7.45rem',
                left: '4.34rem',
                gbid: '31011700001320001363'
            }, {
                top: '7.45rem',
                left: '8.17rem',
                gbid: '31011700001320001364'
            }
        ],
        'arr2': [
            {
                top: '0.43rem',
                left: '5.52rem',
                gbid: '31011700001320001362'
            }, {
                top: '2.4rem',
                left: '10.95rem',
                gbid: '31011700001320001357'
            }, {
                top: '4.15rem',
                left: '6.32rem',
                gbid: '31011700001320001358'
            }, {
                top: '7.45rem',
                left: '2.92rem',
                gbid: '31011700001320001359'
            }, {
                top: '7.45rem',
                left: '8.68rem',
                gbid: '31011700001320001360'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="../static/images/wss_0' + index + '.jpg" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="../static/images/camera.png" ' + ' style=top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + ' onclick="handleClick(' + i + ')"></img>'
            // 使用 innerHTML 添加元素
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(areaNumber) {

        let gbId = dataList['arr' + thisIndex][areaNumber].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>