<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>女子监狱</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .area-right{
            background: url(${ctx}/static/images/floor_lp.png) no-repeat;
            height: 23rem;
            float: right;
            background-size: cover;
            width: 78%;
            background-size: 100% 100%;
        }
        .area-box li {
            cursor: pointer;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <img src="${ctx}/static/images/logo_mc.png"/>
        </div>
        <div class="area-content">
            <div class="area-left">
                <div class="title"><a href="${ctx}/atlas">女子监狱</a></div>
                <div class="left-menu">
                    <ul>
                        <li>
                            <div class="menu-mc">
                                <span>1号楼</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ff6363;">231</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>2号楼</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="	background-color: #ffba00;">224</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>新习艺楼</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #43e04e;">86</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>炊场</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="	background-color: #2f8fff;">21</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>会见楼</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ff6363;">33</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>医务楼</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ff8a00;">28</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>二大门</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ffba00;">10</span>
                            </div>
                        </li>

                    </ul>
                </div>
            </div>
            <div class="area-right">
                <div class="area-box">
                    <ul>
                        <li class="a_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/A_floor.png"/></a>
                            <span>1号楼</span>
                        </li>
                        <li class="bg1_floor">
                            <a href="javascript:void(0);" >  <img src="${ctx}/static/images/bgq_floor_1.png"/></a>
                        </li>

                        <li class="b_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/B_floor.png"/></a>
                            <span>新习艺楼</span>
                        </li>
                        <li class="g_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/G_floor.png"/></a>
                            <span>炊场</span>
                        </li>
                        <li class="c_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/C_floor.png"/></a>
                            <span>会见楼</span>
                        </li>
                        <li class="e_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/E_floor.png"/></a>
                            <span>医务楼</span>
                        </li>
                        <li class="d_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/D_floor.png"/></a>
                        </li>
                        <li class="d_floor_index">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/D_floor_1.png"/></a>
                            <span>二大门</span>
                        </li>
                         <li class="f_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/F_floor.png"/></a>
                            <span>2号楼</span>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    var njArea = {
        initPage: function(){
            $('div.area-box li').on('click', function(){
                var buildAreaName = $(this).find('span').html();
                if (buildAreaName) {
                    if (buildAreaName === '新习艺楼') buildAreaName = '新习艺'
                    window.open(ctx + '/nj/jcqy?buildName=' + encodeURIComponent(buildAreaName), '_self');
                }
            });
            $('.area-content .left-menu li').on('click', function () {
                var buildAreaName = $(this).find('.menu-mc>span').html();
                if (buildAreaName) {
                    if (buildAreaName === '新习艺楼') buildAreaName = '新习艺'
                    window.open(ctx + '/nj/jcqy?buildName=' + encodeURIComponent(buildAreaName), '_self');
                }
            })
        },
        init: function (){
            this.initPage();
        }
    }
    njArea.init();
</script>
</body>
</html>