<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>新收犯监狱</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .area-right{
            background: url(${ctx}/static/images/floor_lp.png) no-repeat;
            height: 23rem;
            float: right;
            background-size: cover;
            width: 78%;
            background-size: 100% 100%;
        }
        .area-box li {
            cursor: pointer;
        }
        .area-box li a{
            color: #fff;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <img src="${ctx}/static/images/logo_mc.png"/>
        </div>
        <div class="area-content">
            <div class="area-left">
                <div class="title"><a href="${ctx}/atlas">新收犯监狱</a></div>
                <div class="left-menu">
                    <ul>
                        <li>
                            <a href="${ctx}/xinshoufan/floor?area=监区1">
                                <div class="menu-mc">
                                    <span>一监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">109</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/xinshoufan/floor?area=监区2">
                                <div class="menu-mc">
                                    <span>二监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #ffba00;">110</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/xinshoufan/floor?area=监区3">
                                <div class="menu-mc">
                                    <span>三监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">109</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/xinshoufan/floor?area=监区4">
                                <div class="menu-mc">
                                    <span>四监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #2f8fff;">110</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/xinshoufan/floor?area=监区5">
                                <div class="menu-mc">
                                    <span>五监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">20</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/xinshoufan/floor?area=监区7">
                                <div class="menu-mc">
                                    <span>七监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ffba00;">18</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/xinshoufan/floor?area=监区8">
                                <div class="menu-mc">
                                    <span>八监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">18</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/xinshoufan/floor?area=监区9">
                                <div class="menu-mc">
                                    <span>九监区</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff8a00;">80</span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="area-right">
                <div class="area-box">
                    <ul>
                        <li class="a_floor">
                            <a href="${ctx}/xinshoufan/floor?area=监区1">
                                <img src="${ctx}/static/images/A_floor.png"/>
                                <span>一监区</span>
                            </a>
                        </li>
                        <li class="bg1_floor">
                            <a href="${ctx}/xinshoufan/floor?area=监区2">
                                <img src="${ctx}/static/images/bgq_floor.png"/>
                                <span>二监区</span>
                            </a>
                        </li>
                        <li class="b_floor">
                            <a href="${ctx}/xinshoufan/floor?area=监区3">
                                <img src="${ctx}/static/images/B_floor.png"/>
                                <span>三监区</span>
                            </a>
                        </li>
                        <li class="g_floor">
                            <a href="${ctx}/xinshoufan/floor?area=监区4">
                                <img src="${ctx}/static/images/G_floor.png"/>
                                <span>四监区</span>
                            </a>
                        </li>
                        <li class="c_floor">
                            <a href="${ctx}/xinshoufan/floor?area=监区5">
                                <img src="${ctx}/static/images/C_floor.png"/>
                                <span>五监区</span>
                            </a>
                        </li>
                        <li class="e_floor">
                            <a href="${ctx}/xinshoufan/floor?area=监区7">
                                <img src="${ctx}/static/images/E_floor.png"/>
                                <span>七监区</span>
                            </a>
                        </li>
                        <li class="d_floor">
                            <a href="javascript:;">  <img src="${ctx}/static/images/D_floor.png"/></a>
                        </li>
                        <li class="d_floor_index">
                            <a href="${ctx}/xinshoufan/floor?area=监区8">
                                <img src="${ctx}/static/images/D_floor_1.png"/>
                                <span>八监区</span>
                            </a>
                        </li>
                        <li class="f_floor">
                            <a href="${ctx}/xinshoufan/floor?area=监区9">
                                <img src="${ctx}/static/images/F_floor.png"/>
                                <span>九监区</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
