package com.ces.web.bs.controller;

import com.ces.common.constant.Constant;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

@RestController
@RequestMapping("/bs")
@RequiresRoles({Constant.RoleCode.BS})
public class BsController {

    @GetMapping
    public ModelAndView bsAreaPlanView () {
        return new ModelAndView("bs/bsAreaPlan");
    }

    @GetMapping("/jqone")
    public ModelAndView jqoneIndex() {
        return new ModelAndView("bs/jqone");
    }

    @GetMapping("/jqtwo")
    public ModelAndView jqtwoIndex() {

        return new ModelAndView("bs/jqtwo");
    }

    @GetMapping("/jqthere")
    public ModelAndView jqthereIndex() {

        return new ModelAndView("bs/jqthere");
    }

    @GetMapping("/jqeight")
    public ModelAndView jqeightIndex() {

        return new ModelAndView("bs/jqeight");
    }

    @GetMapping("/ddl")
    public ModelAndView ddlIndex() {

        return new ModelAndView("bs/ddl");
    }

    @GetMapping("/xdl")
    public ModelAndView xdlIndex() {

        return new ModelAndView("bs/xdl");
    }

    @GetMapping("/zhl")
    public ModelAndView zhlIndex() {

        return new ModelAndView("bs/zhl");
    }

    @GetMapping("/wlzx")
    public ModelAndView wlzxIndex() {

        return new ModelAndView("bs/wlzx");
    }
}
