<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp" %>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>三监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bs">三监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">东部</p>
                            <p class="monitor">监控点<span>43</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">西部</p>
                            <p class="monitor">监控点<span>43</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '2.4rem',
                left: '0.33rem',
                gbid: '31011300001320000540'
            }, {
                top: '3.75rem',
                left: '0.33rem',
                gbid: '31011300001320000543'
            }, {
                top: '5.1rem',
                left: '0.33rem',
                gbid: '31011300001320000546'
            }, {
                top: '6.4rem',
                left: '0.33rem',
                gbid: '31011300001320000549'
            }, {
                top: '0.8rem',
                left: '1.3rem',
                gbid: '31011300001320000537'
            }, {
                top: '2.1rem',
                left: '1.3rem',
                gbid: '31011300001320000539'
            }, {
                top: '3.45rem',
                left: '1.3rem',
                gbid: '31011300001320000542'
            }, {
                top: '4.8rem',
                left: '1.3rem',
                gbid: '31011300001320000545'
            }, {
                top: '6.1rem',
                left: '1.3rem',
                gbid: '31011300001320000548'
            }, {
                top: '0.8rem',
                left: '3.1rem',
                gbid: '31011300001320000536'
            }, {
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011300001320000538'
            }, {
                top: '3.45rem',
                left: '3.1rem',
                gbid: '31011300001320000541'
            }, {
                top: '4.8rem',
                left: '3.1rem',
                gbid: '31011300001320000544'
            }, {
                top: '6.1rem',
                left: '3.1rem',
                gbid: '31011300001320000547'
            }, {
                top: '0.8rem',
                left: '8.55rem',
                gbid: '31011300001320000550'
            }, {
                top: '2.1rem',
                left: '8.55rem',
                gbid: '31011300001320000553'
            }, {
                top: '3.45rem',
                left: '8.55rem',
                gbid: '31011300001320000556'
            }, {
                top: '4.8rem',
                left: '8.55rem',
                gbid: '31011300001320000559'
            }, {
                top: '0.8rem',
                left: '10.3rem',
                gbid: '31011300001320000551'
            }, {
                top: '2.1rem',
                left: '10.3rem',
                gbid: '31011300001320000554'
            }, {
                top: '3.45rem',
                left: '10.3rem',
                gbid: '31011300001320000557'
            }, {
                top: '4.8rem',
                left: '10.35rem',
                gbid: '31011300001320000560'
            }, {
                top: '6.2rem',
                left: '8.55rem',
                gbid: '31011300001320000562'
            }, {
                top: '6.2rem',
                left: '10.35rem',
                gbid: '31011300001320000563'
            }, {
                top: '1.05rem',
                left: '11.35rem',
                gbid: '31011300001320000552'
            }, {
                top: '2.35rem',
                left: '11.35rem',
                gbid: '31011300001320000555'
            }, {
                top: '3.65rem',
                left: '11.35rem',
                gbid: '31011300001320000558'
            }, {
                top: '4.95rem',
                left: '11.35rem',
                gbid: '31011300001320000561'
            }, {
                top: '6.3rem',
                left: '11.35rem',
                gbid: '31011300001320000564'
            }, {
                top: '4.5rem',
                left: '3.9rem',
                gbid: '31011300001320000532'
            }, {
                top: '6.6rem',
                left: '7.8rem',
                gbid: '31011300001320000533'
            }, {
                top: '7.2rem',
                left: '6.29rem',
                gbid: '31011300001320000565'
            }, {
                top: '1.75rem',
                left: '4.05rem',
                gbid: '31011300001320000573'
            }, {
                top: '1.75rem',
                left: '7.6rem',
                gbid: '31011300001320000571'
            }, {
                top: '1rem',
                left: '7.6rem',
                gbid: '31011300001320000578'
            }, {
                top: '2.2rem',
                left: '4.05rem',
                gbid: '31011300001320000570'
            }, {
                top: '2.8rem',
                left: '4.05rem',
                gbid: '31011300001320000577'
            }, {
                top: '2.2rem',
                left: '5.8rem',
                gbid: '31011300001320000569'
            }, {
                top: '1.75rem',
                left: '5.8rem',
                gbid: '31011300001320000572'
            }, {
                top: '0.3rem',
                left: '5.8rem',
                gbid: '31011300001320000567'
            }, {
                top: '2.2rem',
                left: '7.6rem',
                gbid: '31011300001320000568'
            }, {
                top: '3.3rem',
                left: '5.8rem',
                gbid: '31011300001320000574'
            }, {
                top: '6.85rem',
                left: '5.85rem',
                gbid: '31011300001320000587'
            }],
        'arr2': [
            {
                top: '2.4rem',
                left: '0.33rem',
                gbid: '31011300001320000593'
            }, {
                top: '3.75rem',
                left: '0.33rem',
                gbid: '31011300001320000596'
            }, {
                top: '5.1rem',
                left: '0.33rem',
                gbid: '31011300001320000599'
            }, {
                top: '6.4rem',
                left: '0.33rem',
                gbid: '31011300001320000602'
            }, {
                top: '0.8rem',
                left: '1.3rem',
                gbid: '31011300001320000590'
            }, {
                top: '2.1rem',
                left: '1.3rem',
                gbid: '31011300001320000592'
            }, {
                top: '3.45rem',
                left: '1.3rem',
                gbid: '31011300001320000595'
            }, {
                top: '4.8rem',
                left: '1.3rem',
                gbid: '31011300001320000598'
            }, {
                top: '6.1rem',
                left: '1.3rem',
                gbid: '31011300001320000601'
            }, {
                top: '0.8rem',
                left: '3.1rem',
                gbid: '31011300001320000589'
            }, {
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011300001320000591'
            }, {
                top: '3.45rem',
                left: '3.1rem',
                gbid: '31011300001320000594'
            }, {
                top: '4.8rem',
                left: '3.1rem',
                gbid: '31011300001320000597'
            }, {
                top: '6.1rem',
                left: '3.1rem',
                gbid: '31011300001320000600'
            }, {
                top: '0.8rem',
                left: '8.55rem',
                gbid: '31011300001320000603'
            }, {
                top: '2.1rem',
                left: '8.55rem',
                gbid: '31011300001320000606'
            }, {
                top: '3.45rem',
                left: '8.55rem',
                gbid: '31011300001320000609'
            }, {
                top: '4.8rem',
                left: '8.55rem',
                gbid: '31011300001320000612'
            }, {
                top: '0.8rem',
                left: '10.3rem',
                gbid: '31011300001320000604'
            }, {
                top: '2.1rem',
                left: '10.3rem',
                gbid: '31011300001320000607'
            }, {
                top: '3.45rem',
                left: '10.3rem',
                gbid: '31011300001320000610'
            }, {
                top: '4.8rem',
                left: '10.35rem',
                gbid: '31011300001320000613'
            }, {
                top: '6.2rem',
                left: '8.55rem',
                gbid: '31011300001320000615'
            }, {
                top: '6.2rem',
                left: '10.35rem',
                gbid: '31011300001320000616'
            }, {
                top: '1.05rem',
                left: '11.35rem',
                gbid: '31011300001320000605'
            }, {
                top: '2.35rem',
                left: '11.35rem',
                gbid: '31011300001320000608'
            }, {
                top: '3.65rem',
                left: '11.35rem',
                gbid: '31011300001320000611'
            }, {
                top: '4.95rem',
                left: '11.35rem',
                gbid: '31011300001320000614'
            }, {
                top: '6.3rem',
                left: '11.35rem',
                gbid: '31011300001320000617'
            }, {
                top: '4.5rem',
                left: '3.9rem',
                gbid: '31011300001320000534'
            }, {
                top: '6.6rem',
                left: '7.8rem',
                gbid: '31011300001320000535'
            }, {
                top: '7.2rem',
                left: '6.29rem',
                gbid: '31011300001320000566'
            }, {
                top: '1.75rem',
                left: '4.05rem',
                gbid: '31011300001320000586'
            }, {
                top: '1.75rem',
                left: '7.6rem',
                gbid: '31011300001320000584'
            }, {
                top: '1rem',
                left: '7.6rem',
                gbid: '31011300001320000576'
            }, {
                top: '0.35rem',
                left: '4.05rem',
                gbid: '31011300001320000582'
            }, {
                top: '2.8rem',
                left: '4.05rem',
                gbid: '31011300001320000575'
            }, {
                top: '0.35rem',
                left: '5.2rem',
                gbid: '31011300001320000581'
            }, {
                top: '1.75rem',
                left: '5.8rem',
                gbid: '31011300001320000585'
            }, {
                top: '0.35rem',
                left: '6.4rem',
                gbid: '31011300001320000580'
            }, {
                top: '0.35rem',
                left: '7.6rem',
                gbid: '31011300001320000579'
            }, {
                top: '3.3rem',
                left: '5.8rem',
                gbid: '31011300001320000583'
            }, {
                top: '6.85rem',
                left: '5.85rem',
                gbid: '31011300001320000588'
            }]
    };

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        console.log(index, dataList[`arr${"${index}"}`].length)
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/baoshan_03.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
