<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="../base.jsp"%>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>二监区</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/bs">二监区</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">东部</p>
                            <p class="monitor">监控点<span>44</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">西部</p>
                            <p class="monitor">监控点<span>44</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<script>

    let dataList = {
        'arr1': [
            {
                top: '1.05rem',
                left: '0.33rem',
                gbid: '31011300001320000148'
            }, {
                top: '2.4rem',
                left: '0.33rem',
                gbid: '31011300001320000151'
            }, {
                top: '3.75rem',
                left: '0.33rem',
                gbid: '31011300001320000154'
            },  {
                top: '5.1rem',
                left: '0.33rem',
                gbid: '31011300001320000157'
            },   {
                top: '6.4rem',
                left: '0.33rem',
                gbid: '31011300001320000160'
            },{
                top: '0.8rem',
                left: '1.3rem',
                gbid: '31011300001320000146'
            }, {
                top: '2.1rem',
                left: '1.3rem',
                gbid: '31011300001320000150'
            }, {
                top: '3.45rem',
                left: '1.3rem',
                gbid: '31011300001320000153'
            }, {
                top: '4.8rem',
                left: '1.3rem',
                gbid: '31011300001320000156'
            }, {
                top: '6.1rem',
                left: '1.3rem',
                gbid: '31011300001320000159'
            }, {
                top: '0.8rem',
                left: '3.1rem',
                gbid: '31011300001320000147'
            }, {
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011300001320000149'
            }, {
                top: '3.45rem',
                left: '3.1rem',
                gbid: '31011300001320000152'
            }, {
                top: '4.8rem',
                left: '3.1rem',
                gbid: '31011300001320000155'
            }, {
                top: '6.1rem',
                left: '3.1rem',
                gbid: '31011300001320000158'
            },{
                top: '0.8rem',
                left: '8.55rem',
                gbid: '31011300001320000161'
            }, {
                top: '2.1rem',
                left: '8.55rem',
                gbid: '31011300001320000164'
            }, {
                top: '3.45rem',
                left: '8.55rem',
                gbid: '31011300001320000167'
            }, {
                top: '4.8rem',
                left: '8.55rem',
                gbid: '31011300001320000170'
            },{
                top: '6.05rem',
                left: '8.55rem',
                gbid: '31011300001320000173'
            },{
                top: '6.05rem',
                left: '10.35rem',
                gbid: '31011300001320000174'
            },{
                top: '0.8rem',
                left: '10.3rem',
                gbid: '31011300001320000162'
            }, {
                top: '2.1rem',
                left: '10.3rem',
                gbid: '31011300001320000165'
            }, {
                top: '3.45rem',
                left: '10.3rem',
                gbid: '31011300001320000168'
            }, {
                top: '4.8rem',
                left: '10.35rem',
                gbid: '31011300001320000171'
            },{
                top: '1.05rem',
                left: '11.35rem',
                gbid: '31011300001320000163'
            },{
                top: '2.35rem',
                left: '11.35rem',
                gbid: '31011300001320000166'
            },{
                top: '3.65rem',
                left: '11.35rem',
                gbid: '31011300001320000169'
            },{
                top: '4.95rem',
                left: '11.35rem',
                gbid: '31011300001320000172'
            },{
                top: '6.25rem',
                left: '11.35rem',
                gbid: '31011300001320000175'
            },{
                top: '4.5rem',
                left: '3.9rem',
                gbid: '31011300001320000142'
            },{
                top: '6.6rem',
                left: '7.8rem',
                gbid: '31011300001320000143'
            },{
                top: '7.2rem',
                left: '6.29rem',
                gbid: '31011300001320000176'
            },{
                top: '6.85rem',
                left: '5.85rem',
                gbid: '31011300001320000198'
            },{
                top: '1.8rem',
                left: '4.05rem',
                gbid: '31011300001320000189'
            },{
                top: '1.8rem',
                left: '7.6rem',
                gbid: '31011300001320000188'
            },{
                top: '0.35rem',
                left: '4.05rem',
                gbid: '31011300001320000181'
            },{
                top: '0.35rem',
                left: '5.2rem',
                gbid: '31011300001320000180'
            },{
                top: '0.35rem',
                left: '6.4rem',
                gbid: '31011300001320000179'
            },{
                top: '0.35rem',
                left: '7.6rem',
                gbid: '31011300001320000178'
            },{
                top: '3.25rem',
                left: '4.05rem',
                gbid: '31011300001320000185'
            },{
                top: '3.25rem',
                left: '6.4rem',
                gbid: '31011300001320000183'
            },{
                top: '3.25rem',
                left: '7.6rem',
                gbid: '31011300001320000182'
            },{
                top: '3.25rem',
                left: '5.2rem',
                gbid: '31011300001320000184'
            }],
        'arr2': [
            {
                top: '1.05rem',
                left: '0.33rem',
                gbid: '31011300001320000202'
            }, {
                top: '2.4rem',
                left: '0.33rem',
                gbid: '31011300001320000203'
            }, {
                top: '3.75rem',
                left: '0.33rem',
                gbid: '31011300001320000208'
            },  {
                top: '5.1rem',
                left: '0.33rem',
                gbid: '31011300001320000211'
            },   {
                top: '6.4rem',
                left: '0.33rem',
                gbid: '31011300001320000214'
            },{
                top: '0.8rem',
                left: '1.3rem',
                gbid: '31011300001320000200'
            }, {
                top: '2.1rem',
                left: '1.3rem',
                gbid: '31011300001320000205'
            }, {
                top: '3.45rem',
                left: '1.3rem',
                gbid: '31011300001320000207'
            }, {
                top: '4.8rem',
                left: '1.3rem',
                gbid: '31011300001320000210'
            }, {
                top: '6.1rem',
                left: '1.3rem',
                gbid: '31011300001320000213'
            }, {
                top: '0.8rem',
                left: '3.1rem',
                gbid: '31011300001320000201'
            }, {
                top: '2.1rem',
                left: '3.1rem',
                gbid: '31011300001320000204'
            }, {
                top: '3.45rem',
                left: '3.1rem',
                gbid: '31011300001320000206'
            }, {
                top: '4.8rem',
                left: '3.1rem',
                gbid: '31011300001320000209'
            }, {
                top: '6.1rem',
                left: '3.1rem',
                gbid: '31011300001320000212'
            },{
                top: '0.8rem',
                left: '8.55rem',
                gbid: '31011300001320000215'
            }, {
                top: '2.1rem',
                left: '8.55rem',
                gbid: '31011300001320000218'
            }, {
                top: '3.45rem',
                left: '8.55rem',
                gbid: '31011300001320000221'
            }, {
                top: '4.8rem',
                left: '8.55rem',
                gbid: '31011300001320000224'
            },{
                top: '6.05rem',
                left: '8.55rem',
                gbid: '31011300001320000227'
            },{
                top: '6.05rem',
                left: '10.35rem',
                gbid: '31011300001320000228'
            },{
                top: '0.8rem',
                left: '10.3rem',
                gbid: '31011300001320000216'
            }, {
                top: '2.1rem',
                left: '10.3rem',
                gbid: '31011300001320000219'
            }, {
                top: '3.45rem',
                left: '10.3rem',
                gbid: '31011300001320000222'
            }, {
                top: '4.8rem',
                left: '10.35rem',
                gbid: '31011300001320000225'
            },{
                top: '1.05rem',
                left: '11.35rem',
                gbid: '31011300001320000217'
            },{
                top: '2.35rem',
                left: '11.35rem',
                gbid: '31011300001320000220'
            },{
                top: '3.65rem',
                left: '11.35rem',
                gbid: '31011300001320000223'
            },{
                top: '4.95rem',
                left: '11.35rem',
                gbid: '31011300001320000226'
            },{
                top: '6.25rem',
                left: '11.35rem',
                gbid: '31011300001320000229'
            },{
                top: '4.5rem',
                left: '3.9rem',
                gbid: '31011300001320000144'
            },{
                top: '6.6rem',
                left: '7.8rem',
                gbid: '31011300001320000145'
            },{
                top: '7.2rem',
                left: '6.29rem',
                gbid: '31011300001320000177'
            },{
                top: '6.85rem',
                left: '5.85rem',
                gbid: '31011300001320000199'
            },{
                top: '1.8rem',
                left: '4.05rem',
                gbid: '31011300001320000187'
            },{
                top: '1.8rem',
                left: '7.6rem',
                gbid: '31011300001320000186'
            },{
                top: '0.35rem',
                left: '4.05rem',
                gbid: '31011300001320000193'
            },{
                top: '0.35rem',
                left: '5.2rem',
                gbid: '31011300001320000192'
            },{
                top: '0.35rem',
                left: '6.4rem',
                gbid: '31011300001320000191'
            },{
                top: '0.35rem',
                left: '7.6rem',
                gbid: '31011300001320000190'
            },{
                top: '3.25rem',
                left: '4.05rem',
                gbid: '31011300001320000197'
            },{
                top: '3.25rem',
                left: '6.4rem',
                gbid: '31011300001320000195'
            },{
                top: '3.25rem',
                left: '7.6rem',
                gbid: '31011300001320000194'
            },{
                top: '3.25rem',
                left: '5.2rem',
                gbid: '31011300001320000196'
            }]
    };

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/baoshan_02.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style="top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + '" onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(i) {
        let gbId = dataList['arr' + thisIndex][i].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
