<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>上海市人民检察院</title>
</head>

<script>
  // 监控点数量的数组
  var floorsCameraCounts = [];
  $(function () {
    // 摄像头位置的数组
    var upperArr = [{
      top: '0.4rem',
      left: '0.5rem'
    }, {
      top: '0.4rem',
      left: '1.8rem'
    }, {
      top: '0.2rem',
      left: '3.2rem'
    }, {
      top: '0.2rem',
      left: '4.6rem'
    }, {
      top: '0.2rem',
      left: '6rem'
    }, {
      top: '0.2rem',
      left: '7.4rem'
    }, {
      top: '0.2rem',
      left: '8.8rem'
    }, {
      top: '0.4rem',
      left: '10.2rem'
    }, {
      top: '0.4rem',
      left: '11.6rem'
    }, {
      top: '1.6rem',
      left: '0.5rem'
    }, {
      top: '1.6rem',
      left: '1.8rem'
    }, {
      top: '1.6rem',
      left: '3.2rem'
    }, {
      top: '1.6rem',
      left: '4.6rem'
    }, {
      top: '1.6rem',
      left: '6rem'
    }, {
      top: '1.6rem',
      left: '7.4rem'
    }, {
      top: '1.6rem',
      left: '8.8rem'
    }, {
      top: '1.6rem',
      left: '10.2rem'
    }, {
      top: '1.6rem',
      left: '11.6rem'
    }, {
      top: '2.5rem',
      left: '0.5rem'
    }, {
      top: '2.5rem',
      left: '1.8rem'
    }, {
      top: '2.5rem',
      left: '3.2rem'
    }, {
      top: '2.5rem',
      left: '4.6rem'
    }, {
      top: '2.5rem',
      left: '6rem'
    }, {
      top: '2.5rem',
      left: '7.4rem'
    }, {
      top: '2.5rem',
      left: '8.8rem'
    }, {
      top: '2.5rem',
      left: '10.2rem'
    }];
    var centreArr = [
      {
        top: '2.5rem',
        left: '10.2rem'
      },
      {
        top: '3.2rem',
        left: '0.5rem'
      }, {
        top: '3.2rem',
        left: '1.8rem'
      }, {
        top: '3.2rem',
        left: '3.2rem'
      }, {
        top: '3.2rem',
        left: '4.6rem'
      }, {
        top: '3.2rem',
        left: '6rem'
      }, {
        top: '3.2rem',
        left: '7.4rem'
      }, {
        top: '3.2rem',
        left: '8.8rem'
      }, {
        top: '3.2rem',
        left: '10.2rem'
      }, {
        top: '3.2rem',
        left: '11.3rem'
      },
      {
        top: '4.2rem',
        left: '2.5rem'
      }, {
        top: '4.2rem',
        left: '4rem'
      }, {
        top: '4.2rem',
        left: '7rem'
      }, {
        top: '3.2rem',
        left: '11.3rem'
      },

      {
        top: '4.9rem',
        left: '0.5rem'
      }, {
        top: '4.9rem',
        left: '1.8rem'
      }, {
        top: '4.9rem',
        left: '3.2rem'
      }, {
        top: '4.9rem',
        left: '4.6rem'
      }, {
        top: '4.9rem',
        left: '6rem'
      }, {
        top: '4.9rem',
        left: '7.4rem'
      }, {
        top: '4.9rem',
        left: '8.8rem'
      }, {
        top: '4.9rem',
        left: '10.2rem'
      }, {
        top: '4.9rem',
        left: '11.3rem'
      },
    ]
    var belowArr = [
      {
        top: '6rem',
        left: '0.5rem'
      }, {
        top: '6rem',
        left: '1.8rem'
      }, {
        top: '6rem',
        left: '6rem'
      }, {
        top: '6rem',
        left: '4.6rem'
      }, {
        top: '6rem',
        left: '6rem'
      }, {
        top: '6rem',
        left: '7.4rem'
      }, {
        top: '6rem',
        left: '8.8rem'
      }, {
        top: '6rem',
        left: '10.2rem'
      }, {
        top: '6rem',
        left: '11.5rem'
      },
      {
        top: '7rem',
        left: '1.8rem'
      }, {
        top: '7rem',
        left: '3.4rem'
      }, {
        top: '7rem',
        left: '10.2rem'
      }, {
        top: '7rem',
        left: '11.5rem'
      },
      {
        top: '7rem',
        left: '7.4rem'
      },
      {
        top: '7rem',
        left: '1.8rem'
      }, {
        top: '7rem',
        left: '3.4rem'
      }, {
        top: '7rem',
        left: '10.2rem'
      }, {
        top: '7rem',
        left: '11.5rem'
      },
      {
        top: '7rem',
        left: '7.4rem'
      }
    ];
    // 更新摄像头视图的函数
    function updateCameras(index) {
      // 计算要显示的摄像头数量
      var camerasCount = floorsCameraCounts[index];

      // 获取并更新监控点的数字
      $('.monitor').eq(index).find('span').text(camerasCount);

      // 生成一个随机的起始索引
      // var randomStartIndex = Math.floor(Math.random() * (arr.length - camerasCount + 1));
      // 从arr中获取当前楼层的摄像头位置，从随机的起始索引开始
      // var selectedCameras = arr.slice(randomStartIndex, randomStartIndex + camerasCount);
      var selectedCameras = [];
      let number = parseInt(camerasCount /3);
      upperNmuber = parseInt(number + (camerasCount % 3));
      let upperList = myRandom(upperArr, upperNmuber).filter(it=>it).map(it=>it);
      let centreList = myRandom(centreArr, number).filter(it => it).map(it => it);
      let belowList = myRandom(belowArr, number).filter(it => it).map(it => it);
      selectedCameras = [...upperList,...centreList,...belowList]
      // selectedCameras = upperArr
      // 创建新的HTML内容
      var htmlTxt = '<img class="bg_img" src="${ctx}/static/images/commonplan.png" alt="">';
      $.each(selectedCameras, function (i, camera) {
        htmlTxt += '<img class="camera" src="${ctx}/static/images/camera.png" ' +
          'style="top:' + camera.top + ';left:' + camera.left + '" ' +
          'onclick="handleClick(' + i + ')"></img>';
      });

      // 更新DOM元素
      $('.room_box').html(htmlTxt);
    }
    function myRandom(arr, length) {
      var newArr = []; // 组成的新数组初始化
      for (var i = 0; i < length; i++) {
        var index = Math.floor(Math.random() * arr.length);
        var item = arr[index];
        newArr.push(item)
      }
      return newArr.reverse()
    }

    // 点击事件绑定到楼层标签
    $(".tab_list").on("click", "li", function () {

      var $this = $(this);
      var index = $this.index();

      // 更新显示的楼层数字
      $this.addClass('current').siblings().removeClass('current');

      // 更新监控点和摄像头
      updateCameras(index);
      bxj.getGbId($this.find('p:first').html());
    });

    // 页面加载时默认选中第一个楼层
    $(".tab_list li").first().click();
  });

  function handleClick(i) {
    let gbId = gbIdList[i];
    VideoPlayer.show(gbId);
  }
</script>

<body>
  <div class="content">
    <div class="content_top"></div>
    <div class="padding_box2 clearfix">
      <div class="menu_box">
        <div class="menu_title_box"><a class="menu_name" href="${ctx}/bxj/areaPlanView"></a></div>
        <div class="tab_list">
          <ul></ul>
        </div>
      </div>
      <div class="content_box">
        <div class="room_box">

        </div>
      </div>
    </div>
  </div>

  <script>

    var buildAreaName = '${buildAreaName}';
    var gbIdList = [];

    var bxjMapper = {
      '一监区': ['一楼', '二楼'],
      '二监区': ['一楼', '二楼'],
      '三监区': ['一楼', '二楼', '三楼'],
      '四监区': ['一楼', '二楼', '三楼'],
      '五监区': ['一楼', '二楼', '三楼'],
      '六监区': ['一楼', '二楼', '三楼'],
      '七监区': ['一楼', '二楼', '三楼'],
      '卫生所': ['一楼', '二楼'],
    };

    var bxj = {
      getMonitorCount: function(){
          $.ajax({
            url: ctx + "/bxj/getBuildAreaCount",
            data: {'buildAreaName': buildAreaName},
            success: function(data){
              var html = '';
              var floors = bxjMapper[buildAreaName];
              if(floors){
                for(let i = 0; i < floors.length; i++){
                  var floor = floors[i];
                  var count = data[floor];
                  count = count ? count : 0;
                  floorsCameraCounts.push(count);
                  html += '<li><div class="flex-box">';
                  html += '<p>' + floor + '</p>';
                  html += '<p class="monitor">监控点<span>' + count + '</span></p>';
                  html += '</div></li>'
                }
                $('div.tab_list > ul').html(html);
                $('.tab_list li').eq(0).click();
              }
            }
          });
      },
      getGbId: function(floor){
        $.ajax({
          url: ctx + "/bxj/getGbId",
          data: {'buildAreaName': buildAreaName, 'floor': floor},
          success: function(data){
            gbIdList = data;
          }
        });
      },
      init: function(){
        $('.menu_title_box a').html(buildAreaName);
        this.getMonitorCount();
      }
    }
    bxj.init();
  </script>
</body>
</html>