<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>未管所</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .area-right{
            background: url(${ctx}/static/images/plan_floor.png) no-repeat;
            height: 23rem;
            float: right;
            background-size: cover;
            width: 78%;
            background-size: 100% 100%;
        }
        .area-box img{
            max-width: 70%;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <img src="${ctx}/static/images/logo_mc.png"/>
        </div>
        <div class="area-content">
            <div class="area-left">
                <div class="title"><a href="${ctx}/atlas">未管所</a></div>
                <div class="left-menu">
                    <ul>
                        <li>
                            <a href="${ctx}/hw/jyl">
                                <div class="menu-mc">
                                    <span>教育楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">81</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/hw/bcj">
                                <div class="menu-mc">
                                    <span>北车间</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #ffba00;">50</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/hw/ncj">
                                <div class="menu-mc">
                                    <span>南车间</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">100</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/hw/bj">
                                <div class="menu-mc">
                                    <span>北监</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #2f8fff;">106</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/hw/nj">
                                <div class="menu-mc">
                                    <span>南监</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">86</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/hw/lhjl">
                                <div class="menu-mc">
                                    <span>老会见楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff8a00;">19</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/hw/xkl">
                                <div class="menu-mc">
                                    <span>心康中心</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ffba00;">46</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/hw/lt">
                                <div class="menu-mc">
                                    <span>礼堂</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">9</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/hw/wss">
                                <div class="menu-mc">
                                    <span>卫生所</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">14</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/hw/jcqy/内围墙">
                                <div class="menu-mc">
                                    <span>基础区域</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">87</span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="area-right">
                <div class="area-box">
                    <ul>
                        <li class="xzqy_floor">
                            <a href="javascript:;">  <img src="${ctx}/static/images/xzqy.png"/></a>
                        </li>
                        <li class="jyl_floor">
                            <a href="${ctx}/hw/jyl">  <img src="${ctx}/static/images/jyl.png"/></a>
                        </li>
                        <li class="cuican_floor">
                            <a href="${ctx}/hw/jcqy/炊场">  <img src="${ctx}/static/images/cuican.png"/></a>
                        </li>
                        <li class="litan_floor">
                            <a href="${ctx}/hw/lt">  <img src="${ctx}/static/images/lidan.png"/></a>
                        </li>
                        <li class="wss_floor">
                            <a href="${ctx}/hw/wss">  <img src="${ctx}/static/images/wss.png"/></a>
                        </li>
                        <li class="nanjian_floor">
                            <a href="${ctx}/hw/nj">  <img src="${ctx}/static/images/lanjian.png"/></a>
                        </li>
                        <li class="beijianyu_floor" style="z-index: 1;">
                            <a href="${ctx}/hw/bj">  <img src="${ctx}/static/images/beijianyu.png"/></a>
                        </li>
                        <li class="beijian_floor">
                            <a href="${ctx}/hw/bcj">  <img src="${ctx}/static/images/beiche.png"/></a>
                        </li>
                        <li class="nanchejian_floor">
                            <a href="${ctx}/hw/ncj">  <img src="${ctx}/static/images/lanche.png"/></a>
                        </li>
                        <li class="lhjl_floor">
                            <a href="${ctx}/hw/lhjl">  <img src="${ctx}/static/images/lhjl.png"/></a>
                        </li>
                        <li class="xkzx_floor">
                            <a href="${ctx}/hw/xkl">  <img src="${ctx}/static/images/xkzx.png"/></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
