<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="${ctx}/static/js/jquery-1.8.1.min.js" type=text/javascript></script>
    <script src="${ctx}/static/js/rem.js"></script>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/common.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/workshop.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/commonArea.css"/>
    <title>北监</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') no-repeat;
        width: 100%;
        min-height: 100vh;
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class="padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/hw">北监</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>26</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>29</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>25</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p>四楼</p>
                            <p class="monitor">监控点<span>26</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box"/>
        </div>
    </div>
</div>
<script type="text/javascript">

    let dataList = {
        'arr1': [{
            top: '1.0rem',
            left: '2.25rem',
            gbid: '31011700001320001206'
        }, {
            top: '1rem',
            left: '6rem',
            gbid: '31011700001320001207'
        }, {
            top: '2.3rem',
            left: '0.4rem',
            gbid: '31011700001320001208'
        }, {
            top: '2.3rem',
            left: '1.7rem',
            gbid: '31011700001320001209'
        }, {
            top: '2.3rem',
            left: '3rem',
            gbid: '31011700001320001210'
        }, {
            top: '2.3rem',
            left: '4.25rem',
            gbid: '31011700001320001211'
        }, {
            top: '2.3rem',
            left: '5.5rem',
            gbid: '31011700001320001212'
        }, {
            top: '2.3rem',
            left: '6.8rem',
            gbid: '31011700001320001213'
        }, {
            top: '2.3rem',
            left: '8.05rem',
            gbid: '31011700001320001214'
        }, {
            top: '43%',
            left: '0.2rem',
            gbid: '31011700001320001300'
        }, {
            top: '46%',
            left: '1.3rem',
            gbid: '31011700001320001219'
        }, {
            top: '43%',
            left: '6.6rem',
            gbid: '31011700001320001217'
        }, {
            top: '52%',
            left: '6.6rem',
            gbid: '31011700001320001218'
        }, {
            top: '68%',
            left: '2.2rem',
            gbid: '31011700001320001198'
        }, {
            top: '68%',
            left: '6.0rem',
            gbid: '31011700001320001199'
        }, {
            top: '84%',
            left: '0.4rem',
            gbid: '31011700001320001200'
        }, {
            top: '84%',
            left: '1.7rem',
            gbid: '31011700001320001201'
        },/* {
            top: '84%',
            left: '3rem',
            gbid: 'aa'
        },*/ {
            top: '84%',
            left: '4.3rem',
            gbid: '31011700001320001202'
        }, {
            top: '84%',
            left: '5.5rem',
            gbid: '31011700001320001203'
        }, {
            top: '84%',
            left: '6.8rem',
            gbid: '31011700001320001204'
        }, {
            top: '84%',
            left: '8.1rem',
            gbid: '31011700001320001205'
        }, /*{
            top: '94%',
            left: '1.9rem',
            gbid: 'aa'
        },*/ {
            top: "2.1rem",
            left: "10.8rem",
            gbid: '31011700001320001215'
        }, {
            top: '34%',
            left: "10.4rem",
            gbid: '31011700001320001301'
        }, {
            top: '48%',
            left: "10.4rem",
            gbid: '31011700001320001220'
        }, {
            top: '48%',
            left: "11.4rem",
            gbid: '31011700001320001221'
        }, {
            top: '87%',
            left: "10.8rem",
            gbid: '31011700001320001216'
        }],
        'arr2': [{
            top: '1.0rem',
            left: '2.25rem',
            gbid: '31011700001320001228'
        }, {
            top: '1rem',
            left: '6rem',
            gbid: '31011700001320001229'
        }, {
            top: '2.3rem',
            left: '0.4rem',
            gbid: '31011700001320001230'
        }, {
            top: '2.3rem',
            left: '1.7rem',
            gbid: '31011700001320001231'
        }, {
            top: '2.3rem',
            left: '3rem',
            gbid: '31011700001320001232'
        }, {
            top: '2.3rem',
            left: '4.25rem',
            gbid: '31011700001320001233'
        }, {
            top: '2.3rem',
            left: '5.5rem',
            gbid: '31011700001320001234'
        }, {
            top: '2.3rem',
            left: '6.8rem',
            gbid: '31011700001320001235'
        }, {
            top: '2.3rem',
            left: '8.05rem',
            gbid: '31011700001320001236'
        }, {
            top: '46%',
            left: '1.3rem',
            gbid: '31011700001320001239'
        }, {
            top: '43%',
            left: '6.6rem',
            gbid: '31011700001320001237'
        }, {
            top: '52%',
            left: '6.6rem',
            gbid: '31011700001320001238'
        }, {
            top: '68%',
            left: '2.2rem',
            gbid: '31011700001320001222'
        }, {
            top: '68%',
            left: '6.0rem',
            gbid: '31011700001320001223'
        },/* {
            top: '84%',
            left: '0.4rem',
            gbid: 'aa'
        }, {
            top: '84%',
            left: '1.7rem',
            gbid: 'aa'
        }, {
            top: '84%',
            left: '3rem',
            gbid: 'aa'
        }, */{
            top: '84%',
            left: '4.3rem',
            gbid: '31011700001320001224'
        }, {
            top: '84%',
            left: '5.5rem',
            gbid: '31011700001320001225'
        }, {
            top: '84%',
            left: '6.8rem',
            gbid: '31011700001320001226'
        }, {
            top: '84%',
            left: '8.1rem',
            gbid: '31011700001320001227'
        }, /*{
            top: "0.1rem",
            left: "11.2rem",
            gbid: '31011700001320001294'
        },*/ {
            top: "0.1rem",
            left: "11.2rem",
            gbid: '31011700001320001294'
        }, {
            top: "1.4rem",
            left: "10.0rem",
            gbid: '31011700001320001242'
        }, {
            top: "1.4rem",
            left: "10.8rem",
            gbid: '31011700001320001243'
        }, {
            top: "1.4rem",
            left: "11.5rem",
            gbid: '31011700001320001245'
        }, {
            top: '34%',
            left: "10.4rem",
            gbid: '31011700001320001293'
        }, {
            top: '48%',
            left: "10.4rem",
            gbid: '31011700001320001246'
        }, {
            top: '48%',
            left: "11.4rem",
            gbid: '31011700001320001247'
        }, {
            top: '66%',
            left: "10.0rem",
            gbid: '31011700001320001240'
        }, {
            top: '66%',
            left: "10.8rem",
            gbid: '31011700001320001241'
        }, {
            top: '66%',
            left: "11.5rem",
            gbid: '31011700001320001244'
        }, {
            top: "94%",
            left: "10.8rem",
            gbid: '31011700001320001295'
        }],
        'arr3': [{
            top: '1.0rem',
            left: '2.25rem',
            gbid: '31011700001320001256'
        }, {
            top: '1rem',
            left: '6rem',
            gbid: '31011700001320001257'
        }, {
            top: '2.3rem',
            left: '0.4rem',
            gbid: '31011700001320001258'
        }, {
            top: '2.3rem',
            left: '1.7rem',
            gbid: '31011700001320001259'
        }, {
            top: '2.3rem',
            left: '3rem',
            gbid: '31011700001320001260'
        }, {
            top: '2.3rem',
            left: '4.25rem',
            gbid: '31011700001320001261'
        }, {
            top: '2.3rem',
            left: '5.5rem',
            gbid: '31011700001320001262'
        }, {
            top: '2.3rem',
            left: '6.8rem',
            gbid: '31011700001320001263'
        }, {
            top: '2.3rem',
            left: '8.05rem',
            gbid: '31011700001320001264'
        }, {
            top: '46%',
            left: '1.3rem',
            gbid: '31011700001320001267'
        }, {
            top: '43%',
            left: '6.6rem',
            gbid: '31011700001320001265'
        }, {
            top: '52%',
            left: '6.6rem',
            gbid: '31011700001320001266'
        }, {
            top: '68%',
            left: '2.2rem',
            gbid: '31011700001320001248'
        }, {
            top: '68%',
            left: '6.0rem',
            gbid: '31011700001320001249'
        }, {
            top: '84%',
            left: '0.4rem',
            gbid: '31011700001320001250'
        }, {
            top: '84%',
            left: '1.7rem',
            gbid: '31011700001320001251'
        }, /*{
            top: '84%',
            left: '3rem',
            gbid: 'aa'
        },*/ {
            top: '84%',
            left: '4.3rem',
            gbid: '31011700001320001252'
        }, {
            top: '84%',
            left: '5.5rem',
            gbid: '31011700001320001253'
        }, {
            top: '84%',
            left: '6.8rem',
            gbid: '31011700001320001254'
        }, {
            top: '84%',
            left: '8.1rem',
            gbid: '31011700001320001255'
        }, {
            top: "2.1rem",
            left: "10.8rem",
            gbid: '31011700001320001296'
        }, {
            top: '34%',
            left: "10.4rem",
            gbid: '31011700001320001298'
        }, {
            top: '48%',
            left: "10.4rem",
            gbid: '31011700001320001268'
        }, {
            top: '48%',
            left: "11.4rem",
            gbid: '31011700001320001269'
        }, {
            top: '87%',
            left: "10.8rem",
            gbid: '31011700001320001297'
        }],
        'arr4': [{
            top: '1.0rem',
            left: '2.25rem',
            gbid: '31011700001320001278'
        }, {
            top: '1rem',
            left: '6rem',
            gbid: '31011700001320001279'
        }, {
            top: '2.3rem',
            left: '0.4rem',
            gbid: '31011700001320001280'
        }, {
            top: '2.3rem',
            left: '1.7rem',
            gbid: '31011700001320001281'
        }, {
            top: '2.3rem',
            left: '3rem',
            gbid: '31011700001320001282'
        }, {
            top: '2.3rem',
            left: '4.25rem',
            gbid: '31011700001320001283'
        }, {
            top: '2.3rem',
            left: '5.5rem',
            gbid: '31011700001320001284'
        }, {
            top: '2.3rem',
            left: '6.8rem',
            gbid: '31011700001320001285'
        }, {
            top: '2.3rem',
            left: '8.05rem',
            gbid: '31011700001320001286'
        }, {
            top: '46%',
            left: '0.2rem',
            gbid: '31011700001320001287'
        }, {
            top: '46%',
            left: '1.3rem',
            gbid: '31011700001320001290'
        }, {
            top: '43%',
            left: '6.6rem',
            gbid: '31011700001320001288'
        }, {
            top: '52%',
            left: '6.6rem',
            gbid: '31011700001320001289'
        }, {
            top: '68%',
            left: '2.2rem',
            gbid: '31011700001320001270'
        }, {
            top: '68%',
            left: '6.0rem',
            gbid: '31011700001320001271'
        }, {
            top: '84%',
            left: '0.4rem',
            gbid: '31011700001320001272'
        }, {
            top: '84%',
            left: '1.7rem',
            gbid: '31011700001320001273'
        }, /*{
            top: '84%',
            left: '3rem',
            gbid: 'aa'
        },*/ {
            top: '84%',
            left: '4.3rem',
            gbid: '31011700001320001274'
        }, {
            top: '84%',
            left: '5.5rem',
            gbid: '31011700001320001275'
        }, {
            top: '84%',
            left: '6.8rem',
            gbid: '31011700001320001276'
        }, {
            top: '84%',
            left: '8.1rem',
            gbid: '31011700001320001277'
        }, {
            top: "2.1rem",
            left: "10.8rem",
            gbid: '31011700001320000786'
        }, {
            top: '34%',
            left: "10.4rem",
            gbid: '31011700001320001299'
        }, {
            top: '48%',
            left: "10.4rem",
            gbid: '31011700001320001291'
        }, {
            top: '48%',
            left: "11.4rem",
            gbid: '31011700001320001292'
        }, {
            top: '87%',
            left: "10.8rem",
            gbid: '31011700001320000787'
        }]
    };

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/beijian' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style=top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + ' onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(areaNumber) {
        let gbId = dataList['arr' + thisIndex][areaNumber].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>
