<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="${ctx}/static/js/jquery-1.8.1.min.js" type=text/javascript></script>
    <script src="${ctx}/static/js/rem.js"></script>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/common.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/workshop.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/commonArea.css"/>
    <title>教育楼</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') no-repeat;
        width: 100%;
        min-height: 100vh;
        background-size: cover;
    }
</style>
<script type="text/javascript">

    let dataList = {
        'arr1': [
            {
                top: '0.9rem',
                left: '0.1rem',
                gbid: '31011700001320000828'
            }, {
                top: '73%',
                left: '0.1rem',
                gbid: '31011700001320000865'
            }, {
                top: '62%',
                left: '0.5rem',
                gbid: '31011700001320000857'
            },
            {
                top: '0.1rem',
                left: '3.95rem',
                gbid: '31011700001320000779'
            }, {
                top: '0.1rem',
                left: '6.35rem',
                gbid: '31011700001320000780'
            }, {
                top: '0.1rem',
                left: '9.1rem',
                gbid: '31011700001320000858'
            }, {
                top: '0.75rem',
                left: '2rem',
                gbid: '31011700001320000864'
            }, {
                top: '0.75rem',
                left: '4.2rem',
                gbid: '31011700001320000862'
            }, {
                top: '0.75rem',
                left: '6.25rem',
                gbid: '31011700001320000861'
            }, {
                top: '0.75rem',
                left: '9rem',
                gbid: '31011700001320000863'
            }, {
                top: '2.2rem',
                left: '1.6rem',
                gbid: '31011700001320000945'
            }, {
                top: '2.2rem',
                left: '2.3rem',
                gbid: '31011700001320000946'
            }, {
                top: '2.2rem',
                left: '3.0rem',
                gbid: '31011700001320000947'
            }, {
                top: '2.2rem',
                left: '3.7rem',
                gbid: '31011700001320000948'
            }, {
                top: '2.2rem',
                left: '4.4rem',
                gbid: '31011700001320000949'
            }, {
                top: '2.2rem',
                left: '5.1rem',
                gbid: '31011700001320000950'
            }, {
                top: '2.2rem',
                left: '6.75rem',
                gbid: '31011700001320000951'
            }, {
                top: '2.2rem',
                left: '7.6rem',
                gbid: '31011700001320000952'
            }, {
                top: '2.2rem',
                left: '8.45rem',
                gbid: '31011700001320000942'
            }, {
                top: '2.2rem',
                left: '9.3rem',
                gbid: '31011700001320000943'
            }, {
                top: '2.2rem',
                left: '10.1rem',
                gbid: '31011700001320000944'
            }, {
                top: '43%',
                left: '4.3rem',
                gbid: '31011700001320000955'
            }, {
                top: '42%',
                left: '49%',
                gbid: '31011700001320000953'
            }, {
                top: "3.8rem",
                left: "9.6rem",
                gbid: '31011700001320000956'
            }, {
                top: "4.8rem",
                left: "4.1rem",
                gbid: '31011700001320001022'
            }, {
                top: "4.8rem",
                left: "6.7rem",
                gbid: '31011700001320001023'
            }, {
                top: "4.8rem",
                left: "9.6rem",
                gbid: '31011700001320001024'
            }, {
                top: "52%",
                left: "11.3rem",
                gbid: '31011700001320000856'
            }, {
                top: "6.0rem",
                left: "4.1rem",
                gbid: '31011700001320001025'
            }, {
                top: "6.0rem",
                left: "6.7rem",
                gbid: '31011700001320001026'
            }, {
                top: "6.0rem",
                left: "9.6rem",
                gbid: '31011700001320001027'
            }, {
                top: "83%",
                left: "5.4rem",
                gbid: '31011700001320001028'
            }, {
                top: "89%",
                left: "2.8rem",
                gbid: '31011700001320001029'
            }, {
                top: "89%",
                left: "7.7rem",
                gbid: '31011700001320001030'
            }, {
                top: "95%",
                left: "2.9rem",
                gbid: '31011700001320001031'
            }, {
                top: "94%",
                left: "45.5%",
                gbid: '31011700001320000954'
            }, {
                top: "95%",
                left: "7.75rem",
                gbid: '31011700001320001032'
            }
        ],
        'arr2': [
            {
                top: '0.6rem',
                left: '0.5rem',
                gbid: '31011700001320000830'
            }, {
                top: '0.6rem',
                left: '4.3rem',
                gbid: '31011700001320000832'
            }, {
                top: '0.6rem',
                left: '10rem',
                gbid: '31011700001320000829'
            },
            {
                top: '0.6rem',
                left: '11.2rem',
                gbid: '31011700001320000833'
            }, {
                top: '2.8rem',
                left: '0.5rem',
                gbid: '31011700001320000831'
            }, {
                top: '27%',
                left: '5.9rem',
                gbid: '31011700001320000839'
            }, {
                top: '2rem',
                left: '11.2rem',
                gbid: '31011700001320000834'
            }, {
                top: '87%',
                left: '0.5rem',
                gbid: '31011700001320000837'
            }, {
                top: '87%',
                left: '1.85rem',
                gbid: '31011700001320000835'
            }, {
                top: '89%',
                left: '5.1rem',
                gbid: '31011700001320000838'
            }, {
                top: '87%',
                left: '11.2rem',
                gbid: '31011700001320000836'
            }
        ],
        'arr3': [
            {
                top: '0.6rem',
                left: '0.5rem',
                gbid: '31011700001320000842'
            }, {
                top: '0.6rem',
                left: '2.7rem',
                gbid: '31011700001320000848'
            }, {
                top: '0.6rem',
                left: '5.9rem',
                gbid: '31011700001320000781'
            }, {
                top: '0.6rem',
                left: '8.5rem',
                gbid: '31011700001320000840'
            }, {
                top: '0.6rem',
                left: '10rem',
                gbid: '31011700001320000841'
            },
            {
                top: '0.6rem',
                left: '11.2rem',
                gbid: '31011700001320000845'
            }, {
                top: '22%',
                left: '0.5rem',
                gbid: '31011700001320000849'
            }, {
                top: '43%',
                left: '0.5rem',
                gbid: '31011700001320000854'
            }, {
                top: '27%',
                left: '1.8rem',
                gbid: '31011700001320000774'
            }, {
                top: '40%',
                left: '1.8rem',
                gbid: '31011700001320000775'
            }, {
                top: '55%',
                left: '1.8rem',
                gbid: '31011700001320000782'
            }, {
                top: '70%',
                left: '1.8rem',
                gbid: '31011700001320000769'
            }, {
                top: '27%',
                left: '10rem',
                gbid: '31011700001320000770'
            }, {
                top: '40%',
                left: '10rem',
                gbid: '31011700001320000771'
            }, {
                top: '55%',
                left: '10rem',
                gbid: '31011700001320000772'
            }, {
                top: '70%',
                left: '10rem',
                gbid: '31011700001320000773'
            }, {
                top: '43%',
                left: '11.2rem',
                gbid: '31011700001320000853'
            }, {
                top: '2.4rem',
                left: '5.2rem',
                gbid: '31011700001320000776'
            }, {
                top: '2.4rem',
                left: '5.9rem',
                gbid: '31011700001320000777'
            }, {
                top: '2.4rem',
                left: '6.6rem',
                gbid: '31011700001320000778'
            }, {
                top: '22%',
                left: '11.2rem',
                gbid: '31011700001320000847'
            }, {
                top: '87%',
                left: '0.5rem',
                gbid: '31011700001320000855'
            }, {
                top: '87%',
                left: '1.85rem',
                gbid: '31011700001320000851'
            }, {
                top: '87%',
                left: '3.3rem',
                gbid: '31011700001320000844'
            }, {
                top: '87%',
                left: '6rem',
                gbid: '31011700001320000843'
            }, {
                top: '87%',
                left: '8.7rem',
                gbid: '31011700001320000850'
            }, {
                top: '87%',
                left: '10rem',
                gbid: '31011700001320000852'
            }, {
                top: '87%',
                left: '11.2rem',
                gbid: '31011700001320000846'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        //循环数组 打摄像头位置
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="${ctx}/static/images/jiaoyu' + index + '.png" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="${ctx}/static/images/camera.png" ' + ' style=top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + ' onclick="handleClick(' + i + ')"></img>'
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(areaNumber) {
        let gbId = dataList['arr' + thisIndex][areaNumber].gbid;
        VideoPlayer.show(gbId);
    }
</script>

<body>
<div class="content">
    <div class="content_top"></div>
    <div class="padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/hw">教育楼</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <div class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor">监控点<span>42</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor">监控点<span>11</span></p>
                        </div>
                    </li>
                    <li>
                        <div class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor">监控点<span>28</span></p>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>
</body>

</html>