<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/common.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/workshop.css"/>
    <link rel="stylesheet" type="text/css" href="${ctx}/static/css/commonArea.css"/>
    <script src="${ctx}/static/js/jquery-1.8.1.min.js" type=text/javascript></script>
    <script src="${ctx}/static/js/rem.js"></script>
    <title>心康中心</title>
</head>
<style type="text/css">
    .content {
        background: url('${ctx}/static/images/bg.jpg') center center no-repeat;
        width: 100%;
        height: 100%;
        /*  background-position-x: center; */
        background-size: cover;
    }
</style>
<body>
<div class="content">
    <div class="content_top"></div>
    <div class=" padding_box2 clearfix">
        <div class="menu_box">
            <div class="menu_title_box"><a class="menu_name" href="${ctx}/hw">心康中心</a></div>
            <div class="tab_list">
                <ul>
                    <li class="current">
                        <a class="flex-box">
                            <p class="tabName">一楼</p>
                            <p class="monitor monitor2">监控点<span>11</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">二楼</p>
                            <p class="monitor monitor2">监控点<span>21</span></p>
                        </a>
                    </li>
                    <li>
                        <a class="flex-box">
                            <p class="tabName">三楼</p>
                            <p class="monitor monitor2">监控点<span>14</span></p>
                        </a>
                    </li>

                </ul>
            </div>
        </div>
        <div class="content_box">
            <div class="room_box">

            </div>
        </div>
    </div>
</div>

<%--<div id="player-container" style="width: 100%;height: 100%;position: fixed;top: 0;left: 0">--%>
<%--    <iframe src="${ctx}/device/player" style="width: 100%;height: 100%"></iframe>--%>
<%--</div>--%>

<script type="text/javascript">
    let dataList = {
        'arr1': [
            {
                top: '4.1rem',
                left: '0.4rem',
                gbid: '31011700001320000976'
            }, {
                top: '5.4rem',
                left: '7.95rem',
                gbid: '31011700001320000977'
            }, {
                top: '5rem',
                left: '2.45rem',
                gbid: '31011700001320000979'
            }, {
                top: '5.95rem',
                left: '0.4rem',
                gbid: '31011700001320000982'
            }, {
                top: '5.95rem',
                left: '3.89rem',
                gbid: '31011700001320000983'
            }, {
                top: '5.95rem',
                left: '7.95rem',
                gbid: '31011700001320000975'
            }, {
                top: '0.74rem',
                left: '8.4rem',
                gbid: '31011700001320000978'
            }, {
                top: '1.65rem',
                left: '8.4rem',
                gbid: '31011700001320000980'
            }, {
                top: '7.4rem',
                left: '8.4rem',
                gbid: '31011700001320000981'
            }, {
                top: '0.34rem',
                left: '11.12rem',
                gbid: '31011700001320000973'
            }, {
                top: '7.4rem',
                left: '11.12rem',
                gbid: '31011700001320000974'
            }
        ],
        'arr2': [
            {
                top: '0.36rem',
                left: '0.49rem',
                gbid: '31011700001320000998'
            }, {
                top: '2.52rem',
                left: '0.49rem',
                gbid: '31011700001320000999'
            }, {
                top: '5.27rem',
                left: '0.49rem',
                gbid: '31011700001320001000'
            }, {
                top: '7.4rem',
                left: '0.49rem',
                gbid: '31011700001320001001'
            }, {
                top: '3.3rem',
                left: '3.15rem',
                gbid: '31011700001320001002'
            }, {
                top: '4.2rem',
                left: '3.15rem',
                gbid: '31011700001320000997'
            }, {
                top: '0.36rem',
                left: '7.95rem',
                gbid: '31011700001320000990'
            }, {
                top: '4.6rem',
                left: '3.62rem',
                gbid: '31011700001320000991'
            }, {
                top: '0.73rem',
                left: '8.5rem',
                gbid: '31011700001320000992'
            }, {
                top: '1.57rem',
                left: '10.5rem',
                gbid: '31011700001320000984'
            }, {
                top: '2.95rem',
                left: '8.4rem',
                gbid: '31011700001320000985'
            }, {
                top: '3.4rem',
                left: '8.4rem',
                gbid: '31011700001320000988'
            }, {
                top: '4.6rem',
                left: '10.5rem',
                gbid: '31011700001320000989'
            }, {
                top: '5.27rem',
                left: '3.16rem',
                gbid: '31011700001320001003'
            }, {
                top: '5.27rem',
                left: '8.24rem',
                gbid: '31011700001320001004'
            }, {
                top: '5.9rem',
                left: '1.11rem',
                gbid: '31011700001320000993'
            }, {
                top: '7.4rem',
                left: '4.44rem',
                gbid: '31011700001320000994'
            }, {
                top: '7.4rem',
                left: '4.89rem',
                gbid: '31011700001320000995'
            }, {
                top: '7.4rem',
                left: '8.38rem',
                gbid: '31011700001320000996'
            }, {
                top: '0.36rem',
                left: '11.13rem',
                gbid: '31011700001320000986'
            }, {
                top: '7.4rem',
                left: '11.13rem',
                gbid: '31011700001320000987'
            }
        ],
        'arr3': [
            {
                top: '0.36rem',
                left: '0.49rem',
                gbid: '31011700001320001014'
            }, {
                top: '2.52rem',
                left: '0.49rem',
                gbid: '31011700001320001015'
            }, {
                top: '5.27rem',
                left: '0.49rem',
                gbid: '31011700001320001016'
            }, {
                top: '7.4rem',
                left: '0.49rem',
                gbid: '31011700001320001017'
            }, {
                top: '3.3rem',
                left: '1.15rem',
                gbid: '31011700001320001011'
            }, {
                top: '4.65rem',
                left: '8rem',
                gbid: '31011700001320001012'
            }, {
                top: '0.73rem',
                left: '8.5rem',
                gbid: '31011700001320001009'
            }, {
                top: '1.57rem',
                left: '10.5rem',
                gbid: '31011700001320001005'
            }, {
                top: '4.65rem',
                left: '8.38rem',
                gbid: '31011700001320001006'
            }, {
                top: '7.4rem',
                left: '5.79rem',
                gbid: '31011700001320001018'
            }, {
                top: '7.4rem',
                left: '6.27rem',
                gbid: '31011700001320001010'
            },
            {
                top: '4.2rem',
                left: '3.15rem',
                gbid: '31011700001320001013'
            }, {
                top: '0.36rem',
                left: '11.13rem',
                gbid: '31011700001320001007'
            }, {
                top: '7.4rem',
                left: '11.13rem',
                gbid: '31011700001320001008'
            }
        ]
    }

    let thisIndex = 1;

    $(function () {
        // 1、点击上面的li，当前点击的li添加current类，其余兄弟移除类
        $(".tab_list li").click(function () {
            // 链式编程  当前li添加类，其余兄弟移除类
            $(this).addClass('current').siblings().removeClass('current');
            // 2、拿到当前点击的索引号
            var index = $(this).index();
            // 3、下面index对应的模块显示，其余的item隐藏
            $(".tab_con .item").eq(index).show().siblings().hide();
            updateData(index + 1);
        })
        updateData(1);
    });

    function updateData(index) {
        thisIndex = index;
        var divElement = document.querySelector('.room_box');
        let htmlTxt = '<img class="bg_img" src="../static/images/xkl_0' + index + '.jpg" alt="">'
        for (let i = 0; i < dataList[`arr${"${index}"}`].length; i++) {
            htmlTxt = htmlTxt + '<img class="camera" src="../static/images/camera.png" ' + ' style=top:' + dataList[`arr${"${index}"}`][i].top + ";left:" + dataList[`arr${"${index}"}`][i].left + ' onclick="handleClick(' + i + ')"></img>'
            // 使用 innerHTML 添加元素
        }
        divElement.innerHTML = htmlTxt;
    }

    function handleClick(areaNumber) {
        let gbId = dataList['arr' + thisIndex][areaNumber].gbid;
        VideoPlayer.show(gbId);
    }
</script>
</body>
</html>