<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>五角场监狱</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .area-right{
            background: url(${ctx}/static/images/floor_lp.png) no-repeat;
            height: 23rem;
            float: right;
            background-size: cover;
            width: 78%;
            background-size: 100% 100%;
        }
        .area-box li {
            cursor: pointer;
        }
        .area-box li a{
            color: #fff;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <img src="${ctx}/static/images/logo_mc.png"/>
        </div>
        <div class="area-content">
            <div class="area-left">
                <div class="title"><a href="${ctx}/atlas">五角场监狱</a></div>
                <div class="left-menu">
                    <ul>
                        <li>
                            <a href="${ctx}/wjc/jcqy?buildName=东">
                                <div class="menu-mc">
                                    <span>东</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">230</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/wjc/jcqy?buildName=南">
                                <div class="menu-mc">
                                    <span>南</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #ffba00;">223</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/wjc/jcqy?buildName=北">
                                <div class="menu-mc">
                                    <span>北</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">204</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/wjc/jcqy?buildName=综合楼">
                                <div class="menu-mc">
                                    <span>综合楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #2f8fff;">23</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/wjc/jcqy?buildName=东习艺楼">
                                <div class="menu-mc">
                                    <span>东习艺楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">62</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/wjc/jcqy?buildName=西习艺楼">
                                <div class="menu-mc">
                                    <span>西习艺楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff8a00;">49</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/wjc/jcqy?buildName=南教学楼">
                                <div class="menu-mc">
                                    <span>南教学楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ffba00;">17</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/wjc/jcqy?buildName=北教学楼">
                                <div class="menu-mc">
                                    <span>北教学楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ffba00;">11</span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="area-right">
                <div class="area-box">
                    <ul>
                        <li class="a_floor">
                            <a href="${ctx}/wjc/jcqy?buildName=东">
                                <img src="${ctx}/static/images/A_floor.png"/>
                                <span>东</span>
                            </a>
                        </li>

                        <li class="bg1_floor">
                            <a href="${ctx}/wjc/jcqy?buildName=南">
                                <img src="${ctx}/static/images/bgq_floor.png"/>
                                <span>南</span>
                            </a>
                        </li>

                        <li class="b_floor">
                            <a href="${ctx}/wjc/jcqy?buildName=北">
                                <img src="${ctx}/static/images/B_floor.png"/>
                                <span>北</span>
                            </a>
                        </li>
                        <li class="g_floor">
                            <a href="${ctx}/wjc/jcqy?buildName=综合楼">
                                <img src="${ctx}/static/images/G_floor.png"/>
                                <span>综合楼</span>
                            </a>
                        </li>
                        <li class="c_floor">
                            <a href="${ctx}/wjc/jcqy?buildName=东习艺楼">
                                <img src="${ctx}/static/images/C_floor.png"/>
                                <span>东习艺楼</span>
                            </a>
                        </li>
                        <li class="e_floor">
                            <a href="${ctx}/wjc/jcqy?buildName=西习艺楼">
                                <img src="${ctx}/static/images/E_floor.png"/>
                                <span>西习艺楼</span>
                            </a>
                        </li>
                        <li class="d_floor">
                            <a href="javascript:;">  <img src="${ctx}/static/images/D_floor.png"/></a>
                        </li>
                        <li class="d_floor_index">
                            <a href="${ctx}/wjc/jcqy?buildName=南教学楼">
                                <img src="${ctx}/static/images/D_floor_1.png"/>
                                <span>南教学楼</span>
                            </a>
                        </li>
                         <li class="f_floor">
                            <a href="${ctx}/wjc/jcqy?buildName=北教学楼">
                                <img src="${ctx}/static/images/F_floor.png"/>
                                <span>北教学楼</span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>