<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>总医院</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .area-right{
            background: url(${ctx}/static/images/floor_lp.png) no-repeat;
            height: 23rem;
            float: right;
            background-size: cover;
            width: 78%;
            background-size: 100% 100%;
        }
        .area-box li {
            cursor: pointer;
        }
        .area-box li a{
            color: #fff;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <img src="${ctx}/static/images/logo_mc.png"/>
        </div>
        <div class="area-content">
            <div class="area-left">
                <div class="title"><a href="${ctx}/atlas">总医院</a></div>
                <div class="left-menu">
                    <ul>
                        <li>
                            <a href="${ctx}/zongyiyuan/floor?area=病房">
                                <div class="menu-mc">
                                    <span>病房</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">108</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/zongyiyuan/floor?area=感染">
                                <div class="menu-mc">
                                    <span>感染</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #ffba00;">71</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/zongyiyuan/floor?area=辅助楼">
                                <div class="menu-mc">
                                    <span>辅助楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">10</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/zongyiyuan/floor?area=血透室">
                                <div class="menu-mc">
                                    <span>血透室</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #2f8fff;">3</span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="area-right">
                <div class="area-box">
                    <ul>
                        <li class="a_floor">
                            <a href="${ctx}/zongyiyuan/floor?area=病房">
                                <img src="${ctx}/static/images/A_floor.png"/>
                                <span>病房</span>
                            </a>
                        </li>
                        <li class="bg1_floor">
                            <a href="javascript:;">  <img src="${ctx}/static/images/bgq_floor_1.png"/></a>
                        </li>
                        <li class="b_floor">
                            <a href="${ctx}/zongyiyuan/floor?area=感染">
                                <img src="${ctx}/static/images/B_floor.png"/>
                                <span>感染</span>
                            </a>
                        </li>
                        <li class="g_floor">
                            <a href="${ctx}/zongyiyuan/floor?area=辅助楼">
                                <img src="${ctx}/static/images/G_floor.png"/>
                                <span>辅助楼</span>
                            </a>
                        </li>
                        <li class="c_floor">
                            <a href="${ctx}/zongyiyuan/floor?area=血透室">
                                <img src="${ctx}/static/images/C_floor.png"/>
                                <span>血透室</span>
                            </a>
                        </li>
                        <li class="d_floor">
                            <a href="javascript:;">  <img src="${ctx}/static/images/D_floor.png"></a>
                        </li>
                        <li class="e_floor">
                            <a href="javascript:;">  <img src="${ctx}/static/images/E_floor_1.png"></a>
                        </li>
                        <li class="f_floor">
                            <a href="javascript:;">  <img src="${ctx}/static/images/F_floor_1.png"></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
