<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>周浦监狱</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .area-right{
            background: url(${ctx}/static/images/floor_lp.png) no-repeat;
            height: 23rem;
            float: right;
            background-size: cover;
            width: 78%;
            background-size: 100% 100%;
        }
        .area-box li {
            cursor: pointer;
        }
        .area-box li a{
            color: #fff;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <img src="${ctx}/static/images/logo_mc.png"/>
        </div>
        <div class="area-content">
            <div class="area-left">
                <div class="title"><a href="${ctx}/atlas">周浦监狱</a></div>
                <div class="left-menu">
                    <ul>
                        <li>
                            <a href="${ctx}/zp/jcqy?buildName=1号楼">
                                <div class="menu-mc">
                                    <span>1号楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #ff6363;">138</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/zp/jcqy?buildName=2号楼">
                                <div class="menu-mc">
                                    <span>2号楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #ffba00;">239</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/zp/jcqy?buildName=3号楼">
                                <div class="menu-mc">
                                    <span>3号楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="background-color: #43e04e;">295</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="${ctx}/zp/jcqy?buildName=会见楼">
                                <div class="menu-mc">
                                    <span>会见楼</span>
                                </div>
                                <div class="menu-num">
                                    <span>监控点</span>
                                    <span style="	background-color: #2f8fff;">80</span>
                                </div>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="area-right">
                <div class="area-box">
                    <ul>
                        <li class="a_floor">
                            <a href="${ctx}/zp/jcqy?buildName=1号楼">
                                <img src="${ctx}/static/images/A_floor.png"/>
                                <span>1号楼</span>
                            </a>
                        </li>
                        <li class="bg1_floor">
                            <a href="${ctx}/zp/jcqy?buildName=2号楼">
                                <img src="${ctx}/static/images/bgq_floor.png"/>
                                <span>2号楼</span>
                            </a>
                        </li>
                        <li class="b_floor">
                            <a href="${ctx}/zp/jcqy?buildName=3号楼">
                                <img src="${ctx}/static/images/B_floor.png"/>
                                <span>3号楼</span>
                            </a>
                        </li>
                        <li class="g_floor">
                            <a href="${ctx}/zp/jcqy?buildName=会见楼">
                                <img src="${ctx}/static/images/G_floor.png"/>
                                <span>会见楼</span>
                            </a>
                        </li>
                        <li class="c_floor">
                            <a href="javascript:;">  <img src="${ctx}/static/images/C_floor_1.png"/></a>
                        </li>
                        <li class="e_floor">
                            <a href="javascript:;">  <img src="${ctx}/static/images/E_floor_1.png"/></a>
                        </li>
                        <li class="d_floor">
                            <a href="javascript:;">  <img src="${ctx}/static/images/D_floor.png"></a>
                        </li>
                        <li class="d_floor_index">
                            <a href="javascript:;">  <img src="${ctx}/static/images/D_floor_1_1.png"></a>
                        </li>
                         <li class="f_floor">
                            <a href="javascript:;">  <img src="${ctx}/static/images/F_floor_1.png"/></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>